{
"require \"import\"\
import \"android.widget.*\"\
import \"android.view.*\"\
import \"android.content.*\"\
import \"java.io.*\"\
import \"android.graphics.Bitmap\"\
import \"android.graphics.BitmapFactory\"\
import \"android.net.Uri\"\
import \"java.io.FileOutputStream\"\
import \"android.graphics.Matrix\"\
import \"android.view.ScaleGestureDetector\"\
import \"android.animation.ValueAnimator\"\
\
wjj = \"/storage/emulated/0/DCIM/Screenshots/\"\
wjm = os.date(\"%Y%m%d_%H%M%S\")..\".jpg\"\
\
-- 截图函数\
function jt(n)\
local fun = {\
onScreenCaptureDone = function(A0_4)\
local dir = File(wjj)\
if not dir.exists() then\
dir.mkdirs()\
end\
A0_4.compress(Bitmap.CompressFormat.PNG, 100, FileOutputStream(File(wjj, wjm)))\
local intent = Intent(Intent.ACTION_MEDIA_SCANNER_SCAN_FILE)\
intent.setData(Uri.fromFile(File(wjj..wjm)))\
service.sendBroadcast(intent)\
end\
}\
if n then\
service.getScreenShot(n, fun)\
else\
service.getScreenShot(fun)\
end\
end\
\
-- 截图预览函数（完整手势支持）\
function jtjm()\
local layout = {\
LinearLayout,\
layout_width = \"fill\",\
layout_height = \"fill\",\
{\
ImageView,\
id = \"imageView\",\
layout_width = \"fill\",\
layout_height = \"fill\",\
scaleType = \"matrix\",\
},\
}\
\
-- 加载布局\
local id = {}\
local view = loadlayout(layout, id)\
local imageView = id.imageView\
local bitmap = BitmapFactory.decodeFile(wjj..wjm)\
imageView.setImageBitmap(bitmap)\
\
-- 初始化矩阵参数\
local matrix = Matrix()\
local savedMatrix = Matrix()\
local currentScale = 1.0\
local minScale = 0.5\
local maxScale = 4.0\
local lastX, lastY = 0, 0\
local isDragging = false\
\
-- 定义手势检测器\
local scaleGestureDetector = ScaleGestureDetector(service, {\
onScale = function(detector)\
-- 缩放处理\
local scaleFactor = detector.getScaleFactor()\
currentScale = currentScale * scaleFactor\
currentScale = math.max(minScale, math.min(currentScale, maxScale))\
\
-- 以双指中心点缩放\
local focusX = detector.getFocusX()\
local focusY = detector.getFocusY()\
matrix.postScale(scaleFactor, scaleFactor, focusX, focusY)\
limitTranslate() -- 限制平移边界\
imageView.setImageMatrix(matrix)\
return true\
end,\
onScaleBegin = function(detector)\
savedMatrix.set(matrix)\
return true\
end,\
onScaleEnd = function(detector) end\
})\
\
-- 双击手势检测器\
local gestureDetector = GestureDetector(service, {\
onDoubleTap = function(e)\
-- 双击缩放动画\
local targetScale = (currentScale < maxScale) and maxScale or minScale\
ValueAnimator.ofFloat(currentScale, targetScale).setDuration(200).addUpdateListener({\
onAnimationUpdate = function(animator)\
currentScale = animator.getAnimatedValue()\
matrix.setScale(currentScale, currentScale, e.getX(), e.getY())\
limitTranslate()\
imageView.setImageMatrix(matrix)\
end\
}).start()\
return true\
end\
})\
\
-- 边界限制函数\
function limitTranslate()\
local rect = RectF()\
rect.set(0, 0, bitmap.getWidth(), bitmap.getHeight())\
matrix.mapRect(rect)\
\
-- 横向边界限制\
local deltaX = 0\
if rect.width() > imageView.getWidth() then\
if rect.left > 0 then deltaX = -rect.left end\
if rect.right < imageView.getWidth() then deltaX = imageView.getWidth() - rect.right end\
else\
deltaX = (imageView.getWidth() - rect.width()) / 2 - rect.left\
end\
\
-- 纵向边界限制\
local deltaY = 0\
if rect.height() > imageView.getHeight() then\
if rect.top > 0 then deltaY = -rect.top end\
if rect.bottom < imageView.getHeight() then deltaY = imageView.getHeight() - rect.bottom end\
else\
deltaY = (imageView.getHeight() - rect.height()) / 2 - rect.top\
end\
\
matrix.postTranslate(deltaX, deltaY)\
end\
\
-- 触摸事件处理\
imageView.setOnTouchListener({\
onTouch = function(v, event)\
scaleGestureDetector.onTouchEvent(event)\
gestureDetector.onTouchEvent(event)\
\
local x = event.getX()\
local y = event.getY()\
\
switch(event.getAction()) do\
case MotionEvent.ACTION_DOWN \
lastX = x\
lastY = y\
isDragging = true\
savedMatrix.set(matrix)\
\
case MotionEvent.ACTION_MOVE \
if isDragging and event.getPointerCount() == 1 then\
local dx = x - lastX\
local dy = y - lastY\
matrix.postTranslate(dx, dy)\
limitTranslate()\
imageView.setImageMatrix(matrix)\
lastX = x\
lastY = y\
end\
\
case MotionEvent.ACTION_UP \
case MotionEvent.ACTION_CANCEL \
isDragging = false\
end\
return true\
end\
})\
\
-- 创建对话框\
dlg = LuaDialog(service)\
dlg.setView(view)\
dlg.show()\
end\
\
-- 截图选项对话框\
local cj = {\"焦点截图\", \"全屏截图\"}\
jtcd = LuaDialog(service)\
jtcd.setItems(cj)\
jtcd.show()\
jtcd.onItemClick = function(l, v, p, i)\
if i == 1 then\
jtcd.dismiss()\
jt(node)\
task(500, function()\
jtjm()\
end)\
elseif i == 2 then\
jtcd.dismiss()\
jt(_)\
task(500, function()\
jtjm()\
end)\
end\
end",
"top、bottom、left、right、center_vertical、fill_vertical、center_horizontal、fill_horizontal、center、fill、clip_vertical。",
"",
" setProgress(int progress) ：同上，设置 SeekBar 的当前进度值。\
 getProgress() ：获取 SeekBar 当前的进度值。\
 setMax(int max) ：同上，设置 SeekBar 的最大值。\
 getMax() ：获取 SeekBar 的最大值。\
 setMin(int min) ：设置 SeekBar 的最小值（API level 16及以上）。\
 getMin() ：获取 SeekBar 的最小值（API level 16及以上）。\
 isIndeterminate() ：返回 SeekBar 是否处于不确定模式。\
 setIndeterminate(boolean indeterminate) ：设置 SeekBar 是否为不确定模式，即进度是否不明确。\
 setThumb(Drawable thumb) ：设置 SeekBar 滑块的图标（API level 9及以上）。\
 setThumbOffset(int thumbOffset) ：设置滑块相对于其正常位置的水平偏移（API level 9及以上）。\
 getThumb() ：获取 SeekBar 的滑块图标（API level 9及以上）。\
 setProgressDrawable(Drawable progressDrawable) ：设置 SeekBar 的进度条背景。\
 getProgressDrawable() ：获取 SeekBar 的进度条背景。",
"-- 引入import库\
require \"import\"\
-- 导入Android的媒体音频管理器类\
import \"android.media.AudioManager\"\
-- 导入Android上下文类\
import \"android.content.Context\"\
-- 导入Settings类，用于访问系统设置\
import \"android.provider.Settings\"\
-- 导入ComponentName类\
import \"android.content.ComponentName\"\
-- 再次导入Android上下文类\
import \"android.content.Context\"\
-- 导入Intent类，用于启动Activity\
import \"android.content.Intent\"\
-- 导入Button类\
import \"android.widget.Button\"\
-- 导入LinearLayout类，用于布局\
import \"android.widget.LinearLayout\"\
-- 导入SeekBar类，用于调整音量\
import \"android.widget.SeekBar\"\
-- 导入TextView类，用于显示文本\
import \"android.widget.TextView\"\
-- 导入LuaDialog类，用于创建对话框\
import \"com.androlua.LuaDialog\"\
-- 导入NotificationManager类，用于通知管理\
import \"android.app.NotificationManager\"\
-- 导入Build类，用于获取系统版本信息\
import \"android.os.Build\"\
\
-- 获取当前Activity或服务的上下文\
context = activity or service\
-- 获取系统的音频服务\
audioManager = context.getSystemService(Context.AUDIO_SERVICE)\
-- 获取系统的通知服务\
notificationManager = context.getSystemService(Context.NOTIFICATION_SERVICE)\
\
-- 定义一个函数，获取当前手机模式\
function getPhoneMode()\
local mode = audioManager.getRingerMode() -- 获取当前铃声模式\
if mode == AudioManager.RINGER_MODE_SILENT then\
return \"Silent\" -- 静音模式\
elseif mode == AudioManager.RINGER_MODE_VIBRATE then\
return \"Vibrate\" -- 震动模式\
elseif mode == AudioManager.RINGER_MODE_NORMAL then\
return \"Ringer\" -- 铃声模式\
else\
return \"Unknown\" -- 未知模式\
end\
end\
\
-- 定义一个函数，设置指定流的音量\
function setVolume(streamType, progress)\
audioManager.setStreamVolume(streamType, progress, 0) -- 设置音量\
end\
\
-- 定义一个函数，设置手机铃声模式\
function setSoundMode(mode)\
local currentMode = audioManager.getRingerMode() -- 获取当前的铃声模式\
if mode == \"vibrate\" and currentMode ~= AudioManager.RINGER_MODE_VIBRATE then\
audioManager.setRingerMode(AudioManagerINGER_MODE_VIBRATE) -- 设置为震动模式\
elseif mode == \"ring\" and currentMode ~= AudioManager.RINGER_MODE_NORMAL then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL) -- 设置为铃声模式\
elseif currentMode == AudioManager.RINGER_MODE_SILENT then\
print(\"The device is currently in silent mode.\") -- 如果当前是静音模式，打印提示\
end\
end\
\
-- 定义一个函数，初始化SeekBar并设置其最大值和当前值\
function initializeSeekBar(seekBar, streamType)\
local maxVolume = audioManager.getStreamMaxVolume(streamType) -- 获取指定流的音量最大值\
local currentVolume = audioManager.getStreamVolume(streamType) -- 获取指定流的当前音量值\
\
seekBar.setMax(maxVolume) -- 设置SeekBar的最大值\
seekBar.setProgress(currentVolume) -- 设置SeekBar的当前值\
\
-- 设置SeekBar的监听器，使用luajava.createProxy创建代理\
seekBar.setOnSeekBarChangeListener(luajava.createProxy(\"android.widget.SeekBar$OnSeekBarChangeListener\", {\
onProgressChanged = function(seekBar, progress, fromUser)\
if fromUser then\
setVolume(streamType, progress) -- 如果是用户操作，更新音量\
end\
end,\
onStartTrackingTouch = function(seekBar) end, -- 开始触摸SeekBar时调用的函数\
onStopTrackingTouch = function(seekBar) end, -- 停止触摸SeekBar时调用的函数\
}))\
end\
\
-- 定义一个函数，切换手机的铃声模式\
function togglePhoneMode()\
local currentMode = audioManager.getRingerMode() -- 获取当前的铃声模式\
if currentMode == AudioManager.RINGER_MODE_NORMAL then\
setSoundMode(\"vibrate\") -- 如果当前是正常模式，切换到震动模式\
service.postSpeak(500, \"震动模式\") -- 语音播报当前模式\
elseif currentMode == AudioManager.RINGER_MODE_VIBRATE then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_SILENT) -- 如果当前是震动模式，切换到静音模式\
disableVibration() -- 禁用震动\
service.postSpeak(500, \"静音模式\") -- 语音播报当前模式\
elseif currentMode == AudioManager.RINGER_MODE_SILENT then\
setSoundMode(\"ring\") -- 如果当前是静音模式，切换到正常模式\
enableVibration() -- 启用震动\
service.playSoundTick() -- 播放提示音\
service.postSpeak(500, \"正常模式\") -- 语音播报当前模式\
end\
end\
\
-- 在注释中提到更新SeekBar的值，但是这部分代码initializeSeekBar中处理\
-- 以下是初始化SeekBar的调用，用于更新各个流的音量条\
initializeSeekBar(soundSeekBar, AudioManager.STREAM_RING) -- 铃声音量\
initializeSeekBar(callSeekBar, AudioManager.STREAM_VOICE_CALL) -- 通话音量\
initializeSeekBar(mediaSeekBar, AudioManager.STREAM_MUSIC) -- 媒体音量\
initializeSeekBar(alarmSeekBar, AudioManager.STREAM_ALARM) -- 闹钟音量\
initializeSeekBar(notificationSeekBar, AudioManager.STREAM_NOTIFICATION) -- 通知音量\
initializeSeekBar(accessibilitySeekBar, AudioManager.STREAM_ACCESSIBILITY) -- 无障碍音量\
initializeSeekBar(systemSeekBar, AudioManager.STREAM_SYSTEM) -- 系统音量\
\
-- 定义一个函数，禁用震动\
function disableVibration()\
if Build.VERSION.SDK_INT >= Build.VERSION_CODES.M then\
notificationManager.setInterruptionFilter(NotificationManager.INTERRUPTION_FILTER_NONE) -- 如果API等级大于等于23，设置通知过滤为无干扰\
end\
end\
\
-- 定义一个函数，启用震动\
function enableVibration()\
if Build.VERSION.SDK_INT >= Build.VERSION_CODES.M then\
notificationManager.setInterruptionFilter(NotificationManager.INTERRUPTION_FILTER_ALL) -- 如果API等级大于等于23，设置通知过滤为所有干扰\
end\
end\
\
-- 定义布局\
layout = {\
LinearLayout, -- 使用LinearLayout布局\
layout_width = \"match_parent\", -- 宽度填满父容器\
layout_height = \"match_parent\", -- 高度填满父容器\
orientation = 1, -- 方向为垂直\
\
-- 第一个子布局\
{\
LinearLayout,\
orientation = 0, -- 方向为水平\
layout_width = \"match_parent\",\
-- 子布局中的TextView\
{\
TextView,\
id = \"textview\",\
text = \"系统音量调节\", -- 显示文本\
onClick = function(v) -- 点击事件\
dlg.dismiss() -- 关闭对话框\
require 'import' -- 引入import库\
import \"android.content.*\" -- 导入Android内容相关类\
local i = Intent() -- 创建Intent对象\
i.setAction(Settings.ACTION_SOUND_SETTINGS) -- 设置Intent动作，打开声音设置\
this.startActivity(i) -- 启动Activity\
end,\
onLongClickListener = { -- 长按事件\
onLongClick = function(v)\
dlg.dismiss() -- 关闭对话框\
require 'import' -- 引入import库\
import \"android.content.*\" -- 导入Android内容相关类\
local i = Intent() -- 创建Intent对象\
i.setComponent(ComponentName(\"com.android.settings\", \"com.android.settings.Settings$ZenAccessSettingsActivity\")) -- 设置Intent组件，打开勿扰模式设置\
-- 继续上文的onLongClickListener函数\
this.startActivity(i) -- 启动Activity\
return true -- 返回true表示事件已处理\
end,\
},\
layout_width = \"match_parent\", -- 宽度填满父容器\
layout_height = \"wrap_content\", -- 高度包裹内容\
background = \"#ff000000\", -- 背景颜色\
textColor = \"#f0f8ff\", -- 文本颜色\
textSize = \"25sp\", -- 文本大小\
gravity = \"center\", -- 文本对齐方式\
},\
},\
\
-- 后续的子布局和SeekBar，用于调整不同类型的音量\
-- 这里仅展示一个SeekBar的布局作为示例，其余的类似\
{\
LinearLayout,\
orientation = 1,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"soundSeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}}) -- 播报当前手机模式\
dlg.dismiss() -- 关闭对话框\
end,\
layout_width = \"match_parent\", -- 宽度填满父容器\
layout_height = \"80dp\", -- 高度\
contentDescription = \"铃声\", -- 内容描述\
background = \"#ff000000\", -- 背景颜色\
},\
},\
\
{\
LinearLayout,\
orientation = 1,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"callSeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}})\
dlg.dismiss()\
end,\
layout_width = \"match_parent\",\
layout_height = \"80dp\",\
contentDescription = \"通话\",\
background = \"#ff000000\",\
},\
},\
\
{\
LinearLayout,\
orientation = 1,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"mediaSeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}})\
dlg.dismiss()\
end,\
layout_width = \"match_parent\",\
layout_height = \"80dp\",\
contentDescription = \"媒体\",\
background = \"#ff000000\",\
},\
},\
\
{\
LinearLayout,\
orientation = 1,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"alarmSeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}})\
dlg.dismiss()\
end,\
layout_width = \"match_parent\",\
layout_height = \"80dp\",\
contentDescription = \"闹钟\",\
background = \"#ff000000\",\
},\
},\
\
{\
LinearLayout,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"notificationSeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}})\
dlg.dismiss()\
end,\
layout_width = \"match_parent\",\
layout_height = \"80dp\",\
contentDescription = \"通知\",\
background = \"#ff000000\",\
},\
},\
\
{\
LinearLayout,\
orientation = 1,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"accessibilitySeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}})\
dlg.dismiss()\
end,\
layout_width = \"match_parent\",\
layout_height = \"80dp\",\
contentDescription = \"无障碍\",\
background = \"#ff000000\",\
},\
},\
\
{\
LinearLayout,\
orientation = 1,\
layout_width = \"match_parent\",\
{\
SeekBar,\
id = \"systemSeekBar\",\
onClick = function(v)\
service.click({{\"%speakPhoneMode\"}})\
dlg.dismiss()\
end,\
layout_width = \"match_parent\",\
layout_height = \"80dp\",\
contentDescription = \"系统\",\
background = \"#ff000000\",\
},\
},\
\
-- 这里省略了其他SeekBar布局的代码，因为它们的布局结构相似\
\
}\
\
-- 定义一个初始化函数，用于设置对话框和初始化SeekBar\
function initialize()\
dlg = LuaDialog() -- 创建LuaDialog实例\
dlg.setView(loadlayout(layout)) -- 加载布局\
dlg.setButton(\"切换模式\", function ()\
togglePhoneMode() -- 切换手机模式\
dlg.dismiss() -- 关闭对话框\
initialize() -- 重新初始化\
end)\
dlg.setButton2(\"关闭\", function ()\
dlg.dismiss() -- 关闭对话框\
-- 继续initialize函数\
end)\
dlg.show() -- 显示对话框\
\
-- 初始化各个SeekBar，设置对应的音量和监听器\
initializeSeekBar(soundSeekBar, AudioManager.STREAM_RING) -- 铃声音量条\
initializeSeekBar(callSeekBar, AudioManager.STREAM_VOICE_CALL) -- 通话音量条\
initializeSeekBar(mediaSeekBar, AudioManager.STREAM_MUSIC) -- 媒体音量条\
initializeSeekBar(alarmSeekBar, AudioManager.STREAM_ALARM) -- 闹钟音量条\
initializeSeekBar(notificationSeekBar, AudioManager.STREAM_NOTIFICATION) -- 通知音量条\
initializeSeekBar(accessibilitySeekBar, AudioManager.STREAM_ACCESSIBILITY) -- 无障碍音量条\
initializeSeekBar(systemSeekBar, AudioManager.STREAM_SYSTEM) -- 系统音量条\
end\
\
-- 调用initialize函数进行初始化\
initialize()\
return true -- 函数返回true",
"-- 引入import库\
require \"import\"\
-- 导入android媒体AudioManager类\
import \"android.media.AudioManager\"\
-- 导入android内容Context类\
import \"android.content.Context\"\
-- 导入Settings类提供访问系统设置\
import \"android.provider.Settings\"\
-- 导入ComponentName类，用于标识应用内的组件\
import \"android.content.ComponentName\"\
-- 再次导入android内容Context类，可能用于不同用途\
importandroid.content.Context\"\
-- 导入Intent类，用于执行应用间跳转或发送广播\
import \"android.content.Intent\"\
-- 导入Button控件\
import \"android.widget.Button\"\
-- 导入LinearLayout布局控件\
import \"android.widget.LinearLayout\"\
-- 导入SeekBar进度条控件\
import \"android.widget.SeekBar\"\
-- 导入TextView文本控件\
import \"android.widget.TextView\"\
-- 导入自定义LuaDialog类\
import \"com.androlua.LuaDialog\"\
-- 导入NotificationManager通知管理类\
import \"android.app.NotificationManager\"\
-- 导入Build类，用于获取设备API版本信息\
import \"android.os.Build\"\
\
-- 获取activity或service的上下文\
context = activity or service\
-- 获取系统音频服务\
audioManager = context.getSystemService(Context.AUDIO_SERVICE)\
-- 获取系统通知服务\
notificationManager = context.getSystemService(Context.NOTIFICATION_SERVICE)\
\
-- 定义函数获取当前手机响铃模式\
function getPhoneMode()\
local mode = audioManager.getRingerMode() -- 获取当前响铃模式\
if mode == AudioManager.RINGER_MODE_SILENT then\
return \"Silent\" -- 静音模式\
elseif mode == AudioManager.RINGER_MODE_VIBRATE then\
return \"Vibrate\" -- 震动模式\
elseif mode == AudioManager.RINGER_MODE_NORMAL then\
return \"Ringer\" -- 响铃模式\
else\
return \"Unknown\" -- 未知模式\
end\
end\
\
-- 定义函数设置音量\
function setVolume(streamType, progress)\
audioManager.setStreamVolume(streamType, progress, 0) -- 设置指定\
-- 音频流的音量\
end\
\
-- 定义函数设置响铃模式\
function setSoundMode(mode)\
local currentMode = audioManager.getRingerMode() -- 获取当前响铃模式\
if mode == \"vibrate\" and currentMode ~= AudioManager.RINGER_MODE_VIBRATE then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_VIBRATE) -- 设置为震动模式\
elseif mode == \"ring\" and currentMode ~= AudioManager.RINGER_MODE_NORMAL then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL) -- 设置为响铃模式\
elseif currentMode == AudioManager.RINGER_MODE_SILENT then\
print(\"The device is currently in silent mode.\") -- 设备当前为静音模式\
end\
end\
\
-- 定义函数初始化进度条\
function initializeSeekBar(seekBar, streamType)\
local maxVolume = audioManager.getStreamMaxVolume(streamType) -- 获取指定音频流的最大音量\
local currentVolume = audioManager.getStreamVolume(streamType) -- 获取指定音频流的当前音量\
\
seekBar.setMax(maxVolume) -- 设置进度条的最大值\
seekBar.setProgress(currentVolume) -- 设置进度条的当前进度\
\
-- 为进度条设置监听器\
seekBar.setOnSeekBarChangeListener(luajava.createProxy(\"android.SeekBar$OnSeekBarChangeListener\", {\
onProgressChanged = function(seekBar, progress, fromUser) -- 进度改变时的回调\
if fromUser then\
setVolume(streamType, progress) -- 如果改变是由用户引起，则更新音量\
end\
end,\
onStartTrackingTouch = function(seekBar) end, -- 开始触摸进度条时的回调\
onStopTrackingTouch = function(seekBar) end, -- 停止触摸进度条时的回调\
}))\
end\
\
local currentMode = audioManager.getRingerMode() -- 获取当前铃模式\
if currentMode == AudioManager.RINGER_MODE_NORMAL then\
setSoundMode(\"vibrate\") -- 如果当前是响铃模式，则设置为震动\
service.postSpeak(500, \"静音模式开启\") -- 语音播报“静音模式开启”\
elseif currentMode == AudioManager\
-- AudioManager.RINGER_MODE_VIBRATE then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL) -- 如果当前是震动模式，则设置为响铃\
service.playSoundTick() -- 播放提示音\
enableVibration() -- 开启振动\
service.postSpeak(500, \"静音模式关闭\") -- 语音播报“静音模式关闭”\
elseif currentMode == AudioManager.RINGER_MODE_SILENT then\
setSoundMode(\"ring\") -- 如果当前是静音模式，则设置为响铃\
service.playSoundTick() -- 播放提示音\
enableVibration() -- 开启振动\
service.postSpeak(500, \"静音模式关闭\") -- 语音播报“静音模式关闭”\
end\
\
-- 定义函数开启振动\
function enableVibration()\
if Build.VERSION.SDK_INT >= Build.VERSION_CODES.M then\
notificationManager.setInterruptionFilter(NotificationManager.INTERRUPTION_FILTER_ALL) -- 如果API版本大于等于M，则设置通知打扰级别为所有打扰\
end\
end\
return true -- 函数返回true",
"Components for com.android.tback--这是com.android.tback包中的组件\
 net.tatans.soundback.ui.PolicyActivity--策略设置活动界面\
 com.android.talkback.TalkBackPreferencesActivity--谈话反馈偏好设置活动界面\
 net.tatans.soundback.ui.settings.TtsSettingsActivity--文本到语音设置活动界面\
 net.tatans.soundback.ui.settings.TtsMoreSettingsActivity--更多文本到语音设置活动界面\
 net.tatans.soundback.ui.settings.SecondaryTtsSettingsActivity--次要文本到语音设置活动界面\
 net.tatans.soundback.ui.settings.IflytekTtsSettingsActivity--科大讯飞文本到语音设置活动界面\
 net.tatans.soundback.ui.settings.TatansTextToSpeechSettingsActivity--坦坦文本到语音设置活动界面\
 net.tatans.soundback.ui.settings.TutorialAndHelpActivity--教程与帮助活动界面\
 net.tatans.soundback.ui.settings.HelpActivity--帮助活动界面\
 net.tatans.soundback.ui.settings.MyDeviceInfoActivity--我的设备信息设置活动界面\
 net.tatans.soundback.help.PermissionConfigHelpActivity--权限配置帮助活动界面\
 net.tatans.soundback.help.NewPermissionConfigHelpActivity--新权限配置帮助活动界面\
 net.tatans.soundback.help.PermissionAutoConfigActivity--权限自动配置活动界面\
 net.tatans.soundback.help.PermissionManualConfigActivity--权限手动配置活动界面\
 net.tatans.soundback.training.TrainingActivity--训练活动界面\
 net.tatans.soundback.training.QuickStartLessonsActivity--快速开始课程训练活动界面\
 net.tatans.soundback.training.CommonFunctionsActivity--常见功能训练活动界面\
 net.tatans.soundback.training.QuickStartActivity--快速启动训练活动界面\
 net.tatans.soundback.training.GeneralExerciseActivity--通用练习训练活动界面\
 net.tatans.soundback.ui.settings.AnnouncePreferencesActivity--宣布偏好设置活动界面\
 net.tatans.soundback.ui.settings.HintsVerbositySettingsActivity--提示详细程度设置活动界面\
 net.tatans.soundback.ui.settings.NotificationVerbosityActivity--通知详细程度设置活动界面\
 net.tatans.soundback.ui.settings.CustomNotificationVerbosityActivity--自定义通知详细程度设置活动界面\
 net.tatans.soundback.ui.settings.CustomPunctuationActivity--自定义标点符号设置活动界面\
 net.tatans.soundback.ui.settings.PunctuationPreferencesActivity--标点符号偏好设置活动界面\
 net.tatans.soundback.ui.settings.ScreenOnVerbosityActivity--屏幕开启详细程度设置活动界面\
 net.tatans.soundback.ui.settings.SoundAndVibrationPreferencesActivity--声音与振动偏好设置活动界面\
 net.tatans.soundback.ui.settings.PersonalizationPreferencesActivity--个性化偏好设置活动界面\
 net.tatans.soundback.ui.settings.QuickMenuPreferencesActivity--快速菜单偏好设置活动界面\
 net.tatans.soundback.ui.settings.QuickMenuSortActivity--快速菜单排序设置活动界面\
 net.tatans.soundback.ui.settings.GestureManagerActivity--手势管理设置活动界面\
 net.tatans.soundback.ui.settings.AdvancedPreferencesActivity--高级偏好设置活动界面\
 net.tatans.soundback.ui.settings.PublicScreenReadPreferencesActivity--公共屏幕阅读偏好设置活动界面\
 net.tatans.soundback.labeling.LabelManagerSummaryActivity--标签管理摘要活动界面\
 net.tatans.soundback.guidepost.GuidepostManagerSummaryActivity--导航点管理摘要活动界面\
 net.tatans.soundback.ui.settings.CustomSoundSchemeActivity--自定义声音方案设置活动界面\
 net.tatans.soundback.ui.settings.ImportSoundSchemeActivity--导入声音方案设置活动界面\
 net.tatans.soundback.ui.settings.SoundSchemeEditActivity--声音方案编辑设置活动界面\
 net.tatans.soundback.ui.settings.ReadReplacementManageActivity--阅读替换管理设置活动界面\
 net.tatans.soundback.ui.settings.ReadReplacementEditActivity--阅读替换编辑设置活动界面\
 net.tatans.soundback.ui.settings.AppMultipleSelectActivity--应用多选设置活动界面\
 net.tatans.soundback.ui.settings.KeyActionsSettingActivity--键盘动作设置活动界面\
 net.tatans.soundback.guidepost.GuidepostManagerPackageActivity--导航点管理包活动界面\
 net.tatans.soundback.clipboard.ClipboardManageActivity--剪贴板管理设置活动界面\
 net.tatans.soundback.clipboard.CloudClipManageActivity--云剪贴板管理设置活动界面\
 net.tatans.soundback.ui.settings.VolumeKeyShortcutSettingsActivity--音量键快捷设置活动界面\
 net.tatans.soundback.ui.settings.NavigationBreakoutActivity--导航中断设置活动界面\
 net.tatans.soundback.ui.settings.NavigationSettingsActivity--导航设置活动界面\
 net.tatans.soundback.ui.settings.SlidingMenuSettingsActivity--滑动菜单设置活动界面\
 net.tatans.soundback.ui.settings.EachSlidingMenuSettingsActivity--每个滑动菜单设置活动界面\
 net.tatans.soundback.ui.settings.PhoneCallSettingsActivity--电话呼叫设置活动界面\
 net.tatans.soundback.ui.settings.ThirdPartInterfaceSettingsActivity--第三方接口设置活动界面\
 net.tatans.soundback.ui.AboutActivity--关于活动界面\
 net.tatans.soundback.ui.PolicySettingsActivity--策略设置活动界面\
 net.tatans.soundback.ui.FullScreenCopyResultEditActivity--全屏复制结果编辑活动界面\
 net.tatans.soundback.ui.CaptureEditActivity--捕获编辑活动界面\
 net.tatans.soundback.ui.NotificationManageActivity--通知管理活动界面\
 net.tatans.soundback.ui.ThirdPartLoginActivity--第三方登录活动界面\
 net.tatans.soundback.ui.WebActivity--网页活动界面\
 net.tatans.soundback.labeling.LabelManagerPackageActivity--标签管理包活动界面\
 net.tatans.soundback.ui.MediaControlActivity--媒体控制活动界面\
 net.tatans.soundback.ui.KeepLiveActivity--保持活动界面\
 net.tatans.soundback.editor.TextEditorActivity--文本编辑活动界面\
 net.tatans.soundback.focusexplosion.FocusExplosionActivity--焦点爆炸活动界面\
 net.tatans.soundback.screenshot.ScreenshotAuthProxyActivity--屏幕截图授权代理活动界面\
 net.tatans.soundback.screenshot.TestCaptureActivity--测试捕获活动界面\
 net.tatans.soundback.ui.login.LoginActivity--登录活动界面\
 net.tatans.soundback.ui.user.UserInfoActivity--用户信息活动界面\
 net.tatans.soundback.ui.user.UnregisterActivity--注销活动界面\
 net.tatans.soundback.ui.user.InnerTestActivity--内部测试活动界面\
 net.tatans.soundback.ui.user.TradeListActivity--交易列表活动界面\
 net.tatans.soundback.ui.user.RemainingPaymentActivity--未付款活动界面\
 com.android.tback.wxapi.WXPayEntryActivity--微信支付入口活动界面\
 com.alipay.sdk.app.H5PayActivity--支付宝H5支付活动界面\
 com.alipay.sdk.app.H5AuthActivity--支付宝H5授权活动界面\
 net.tatans.soundback.ui.user.BackupAndRecoverActivity--备份与恢复活动界面\
 net.tatans.soundback.ui.user.IflytekExchangeCodeActivity--科大讯飞兑换码活动界面\
 net.tatans.soundback.ui.user.CodeActivity--兑换码活动界面\
 net.tatans.soundback.ui.user.ImeProductsActivity--输入法产品活动界面\
 net.tatans.soundback.ui.agent.ImeAgentActivity--输入法代理活动界面\
 net.tatans.soundback.ui.agent.AgentProductActivity--代理产品活动界面\
 net.tatans.soundback.ui.agent.AgentOrdersActivity--代理订单活动界面\
 net.tatans.soundback.ui.user.MyTtsCodeActivity--我的语音合成码活动界面\
 net.tatans.soundback.ui.user.MyCodeActivity--我的兑换码活动界面\
 net.tatans.soundback.ui.user.MyVipActivity--我的会员活动界面\
 net.tatans.soundback.ui.user.VipToSVipActivity--会员升级活动界面\
 net.tatans.soundback.ui.user.ChangeDeviceCountActivity--更改设备数量活动界面\
 net.tatans.soundback.ui.appstore.AppStoreActivity--应用商店活动界面\
 net.tatans.soundback.ui.appstore.AppInstallActivity--应用安装活动界面\
 net.tatans.soundback.ui.appstore.AppVerActivity--应用版本活动界面\
 net.tatans.soundback.ui.community.TopicDetailActivity--社区主题详情活动界面\
 net.tatans.soundback.ui.community.TagTopicActivity--社区标签主题活动界面\
 net.tatans.soundback.ui.community.search.SearchActivity--社区搜索活动界面\
 net.tatans.soundback.ui.ImagesActivity--图片活动界面\
 net.tatans.soundback.ui.community.notification.NotificationActivity--社区通知活动界面\
 net.tatans.soundback.ui.community.PublishTopicActivity--社区发布主题活动界面\
 net.tatans.soundback.ui.community.user.ForumUserActivity--论坛用户活动界面\
 net.tatans.soundback.ui.community.notification.MessageActivity--社区消息活动界面\
 net.tatans.soundback.alarm.AlarmClockActivity--闹钟活动界面\
 net.tatans.soundback.alarm.AlarmSettingsActivity--闹钟设置活动界面\
 net.tatans.soundback.alarm.TimerItemManageActivity--计时器项目管理工作界面\
 net.tatans.soundback.alarm.TimerStatsActivity--计时器统计活动界面\
 net.tatans.soundback.alarm.StatsDaySummaryActivity--统计日摘要活动界面\
 net.tatans.soundback.alarm.DayStatsActivity--日统计活动界面\
 net.tatans.soundback.alarm.TellingTimeActivity--报时活动界面\
 net.tatans.soundback.ui.LauncherActivity--启动器活动界面\
 net.tatans.filesystem.permission.PermissionRequestActivity--文件系统权限请求活动界面\
 net.tatans.filesystem.permission.WriteDirPickActivity--写入目录选择活动界面\
 net.tatans.soundback.tts.GetSampleText--获取样本文本到语音活动界面\
 net.tatans.soundback.tts.CheckVoiceData--检查语音数据活动界面\
 com.huawei.hms.activity.BridgeActivity--华为移动服务桥接活动界面\
 com.huawei.hms.activity.EnableServiceActivity--华为移动服务启用服务活动界面",
"\
net.tatans.tools 包中的组件\
“所有条目”活动\
Activity: net.tatans.tools.ui.AllEntriesActivity\
“主页管理”活动\
Activity: net.tatans.tools.ui.HomePageManageActivity\
“主页排序”活动\
Activity: net.tatans.tools.ui.HomepageSortActivity\
“CameraX实时预览”活动\
Activity: net.tatans.tools.vision.CameraXLivePreviewActivity\
“识别历史管理”活动\
Activity: net.tatans.tools.vision.RecognizeHistoryManageActivity\
“OCR图像结果”活动\
Activity: net.tatans.tools.vision.OCRImageResultActivity\
“字幕”活动\
Activity: net.tatans.tools.vision.CaptioningResultActivity\
“OCR文本结果”活动\
Activity: net.tatans.tools.vision.OCRTextResultActivity\
“条码结果”活动\
Activity: net.tatans.tools.vision.BarcodeResultActivity\
“视觉偏好设置”活动\
Activity: net.tatans.tools.vision.VisionPreferencesActivity\
“用户中心”活动\
Activity: net.tatans.tools.ui.UserCenterActivity\
“登录”活动\
Activity: net.tatans.tools.ui.login.LoginActivity\
“声音反馈条目”活动\
Activity: net.tatans.tools.ttapi.SoundBackEntryActivity\
“权限请求”活动\
Activity: net.tatans.tools.ui.PermissionRequestActivity\
“ZD论坛主页”活动\
Activity: net.tatans.tools.bbs.zd.ZDHomeActivity\
“Tatans论坛主页”活动\
Activity: net.tatans.tools.bbs.tatans.TatansHomeActivity\
“论坛板块总数”活动\
Activity: net.tatans.tools.bbs.TotalBoardsActivity\
“发布Tatans话题”活动\
Activity: net.tatans.tools.bbs.tatans.PublishTatansTopicActivity\
“话题详情”活动\
Activity: net.tatans.tools.bbs.tatans.TopicDetailsActivity\
“消息”活动\
Activity: net.tatans.tools.ui.MessageActivity\
“论坛用户”活动\
Activity: net.tatans.tools.bbs.tatans.ForumUserActivity\
“关注”活动\
Activity: net.tatans.tools.bbs.tatans.FollowsActivity\
“标签话题”活动\
Activity: net.tatans.tools.bbs.tatans.TagTopicsActivity\
“话题搜索”活动\
Activity: net.tatans.tools.bbs.tatans.TopicSearchActivity\
“论坛通知”活动\
Activity: net.tatans.tools.bbs.tatans.ForumNotificationActivity\
“论坛登录”活动\
Activity: net.tatans.tools.bbs.ForumLoginActivity\
“ZD话题详情”活动\
Activity: net.tatans.tools.bbs.zd.ZDTopicDetailsActivity\
“ZD话题搜索”活动\
Activity: net.tatans.tools.bbs.zd.ZDTopicSearchActivity\
“发布ZD话题”活动\
Activity: net.tatans.tools.bbs.zd.PublishZDTopicActivity\
“ZD用户”活动\
Activity: net.tatans.tools.bbs.zd.ZDUserActivity\
“板块话题”活动\
Activity: net.tatans.tools.bbs.zd.BoardTopicsActivity\
“论坛设置”活动\
Activity: net.tatans.tools.bbs.ForumSettingsActivity\
“自定义帖子后缀”活动\
Activity: net.tatans.tools.bbs.CustomPostSuffixActivity\
“黑名单管理”活动\
Activity: net.tatans.tools.bbs.BlacklistManagerActivity\
“编辑内容”活动\
Activity: net.tatans.tools.bbs.EditContentActivity\
“图片”活动\
Activity: net.tatans.tools.ui.ImagesActivity\
“视频播放”活动\
Activity: net.tatans.tools.ui.VideoPlayActivity\
“阅读主界面”活动\
Activity: net.tatans.tools.read.ui.BookMainActivity\
“医药书籍”活动\
Activity: net.tatans.tools.read.ui.MedicineBookActivity\
“导入书籍文件”活动\
Activity: net.tatans.tools.read.ui.book.import.BookFileImportActivity\
“搜索书籍”活动\
Activity: net.tatans.tools.read.ui.book.search.SearchActivity\
“阅读权限”活动\
Activity: net.tatans.tools.read.lib.permission.PermissionActivity\
“本地导入书籍”活动\
Activity: net.tatans.tools.read.ui.book.import.local.ImportBookActivity\
“目录”活动\
Activity: net.tatans.tools.read.ui.toc.TocActivity\
“书架”活动\
Activity: net.tatans.tools.read.ui.bookshelf.BookListActivity\
“文件处理”活动\
Activity: net.tatans.tools.read.ui.file.HandleFileActivity\
“阅读”活动\
Activity: net.tatans.tools.read.ui.read.BookReadingActivity\
“听书”活动\
Activity: net.tatans.tools.read.ui.read.ListeningBookActivity\
“阅读间隔设置”活动\
Activity: net.tatans.tools.read.ui.read.ReadingIntervalSettingsActivity\
“歌词搜索”活动\
Activity: net.tatans.tools.misc.lyrics.LyricsSearchActivity\
“歌词详情”活动\
Activity: net.tatans.tools.misc.lyrics.LyricDetailActivity\
“诗歌”活动\
Activity: net.tatans.tools.misc.poetry.PoetryActivity\
“诗歌详情”活动\
Activity: net.tatans.tools.misc.poetry.PoetryDetailActivity\
“药品”活动\
Activity: net.tatans.tools.misc.drug.DrugActivity\
“药品详情”活动\
Activity: net.tatans.tools.misc.drug.DrugDetailActivity\
“光线检测”活动\
Activity: net.tatans.tools.misc.LightDetectActivity\
“二维码”活动\
Activity: net.tatans.tools.misc.QrcodeActivity\
“课程列表”活动\
Activity: net.tatans.tools.course.CourseListActivity\
“课程详情”活动\
Activity: net.tatans.tools.course.CourseActivity\
“课程播放”活动\
Activity: net.tatans.tools.course.ClassPlayActivity\
“课程支付”活动\
Activity: net.tatans.tools.course.CoursePaymentActivity\
“课程主界面（Office）”活动\
Activity: net.tatans.tools.course.CourseMainOfficeActivity\
“课程主界面（ZD）”活动\
Activity: net.tatans.tools.course.CourseMainZdActivity\
“课程主界面（Ime）”活动\
Activity: net.tatans.tools.course.CourseMainImeActivity\
“课程主界面（声音反馈）”活动\
Activity: net.tatans.tools.course.CourseMainSoundbackActivity\
“垃圾分类”活动\
Activity: net.tatans.tools.misc.GarbageSortingActivity\
“快捷方式管理”活动\
Activity: net.tatans.tools.ui.user.ShortcutManageActivity\
“Jzw”活动\
Activity: net.tatans.tools.misc.JzwActivity\
“穴位”活动\
Activity: net.tatans.tools.acupoint.AcupointActivity\
“肌肉”活动\
Activity: net.tatans.tools.misc.muscle.MuscleActivity\
“农历”活动\
Activity: net.tatans.tools.misc.lunar.LunarCalendarActivity\
“二十四节气”活动\
Activity: net.tatans.tools.misc.lunar.SolarTermsActivity\
“手机位置”活动\
Activity: net.tatans.tools.misc.PhoneLocationActivity\
“IP地址搜索”活动\
Activity: net.tatans.tools.misc.IpAddrSearchActivity\
“笑话”活动\
Activity: net.tatans.tools.misc.JokesActivity\
“星座”活动\
Activity: net.tatans.tools.misc.ConstellateActivity\
“记账”活动\
Activity: net.tatans.tools.tally.TallyActivity\
“记账编辑”活动\
Activity: net.tatans.tools.tally.TallyEditActivity\
“记账类型编辑”活动\
Activity: net.tatans.tools.tally.TallyTypeEditActivity\
“记账统计”活动\
Activity: net.tatans.tools.tally.TallyStatisticActivity\
“记账搜索”活动\
Activity: net.tatans.tools.tally.TallySearchActivity\
“记账编辑信息”活动\
Activity: net.tatans.tools.tally.TallyEditInfoActivity\
“关于”活动\
Activity: net.tatans.tools.ui.AboutActivity\
“政策”活动\
Activity: net.tatans.tools.ui.PolicyActivity\
“网页”活动\
Activity: net.tatans.tools.ui.WebActivity\
“工具打开”活动\
Activity: net.tatans.tools.ToolsOpenActivity\
“Google API”活动\
Activity: com.google.android.gms.common.api.GoogleApiActivity\
“Vlion下载保持对话框”活动\
Activity: cn.vlion.ad.inland.ad.view.dialog.VlionDownloadHoldDialogActivity\
“Vlion下载二次确认对话框”活动\
Activity: cn.vlion.ad.inland.ad.view.dialog.VlionDownloadSecondConfirmActivity\
“Vlion奖励视频”活动\
Activity: cn.vlion.ad.inland.ad.reward.VlionRewardVideoActivity\
“VLion网页视图”活动\
Activity: cn.vlion.ad.inland.ad.view.web.VLionWebViewActivity\
“Vlion自定义插页式”活动\
Activity: cn.vlion.ad.inland.ad.interstitial.VlionCustomInterstitialActivity\
“京东广告网页视图”活动\
Activity: com.jd.ad.sdk.bl.adinteraction.deeplink.JADWebViewActivity\
“Tanx浏览器”活动\
Activity: com.alimm.tanx.core.ad.browser.TanxBrowserActivity\
“Tanx竖屏奖励视频”活动\
Activity: com.alimm.tanx.core.ad.ad.template.rendering.reward.RewardVideoPortraitActivity\
“Tanx竖屏奖励”活动\
Activity: com.alimm.tanx.core.ad.ad.template.rendering.reward.RewardPortraitActivity\
“Tanx表格屏幕竖屏”活动\
Activity: com.alimm.tanx.core.ad.ad.template.rendering.table.screen.TableScreenPortraitActivity\
“华为桥接活动”活动\
Activity: com.huawei.hms.activity.BridgeActivity\
“华为启用服务”活动\
Activity: com.huawei.hms.activity.EnableServiceActivity",
"```plaintext\
Components for com.nirenr.talkman--组件信息，用于com.nirenr.talkman包\
\
com.androlua.Main--主界面活动\
com.androlua.LuaActivity--Lua脚本活动\
com.androlua.LuaActivityX--Lua脚本扩展活动\
com.nirenr.talkman.WebActivity--网页活动\
com.nirenr.talkman.VoiceHelperActivity--语音助手活动\
com.nirenr.talkman.HelpActivity--帮助活动\
com.nirenr.talkman.VoiceHelperHelpActivity--语音助手帮助活动\
com.nirenr.talkman.settings.VoiceSetting--语音设置活动\
com.nirenr.talkman.settings.FeedBackSetting--反馈设置活动\
com.nirenr.talkman.settings.ActionSetting--动作设置活动\
com.nirenr.talkman.settings.ContentSetting--内容设置活动\
com.nirenr.talkman.settings.NotificationSetting--通知设置活动\
com.nirenr.talkman.settings.AdvancedSetting--高级设置活动\
com.nirenr.talkman.settings.HelpFeedSetting--帮助反馈设置活动\
com.nirenr.talkman.OCRActivity--光学字符识别活动\
com.nirenr.talkman.CameraActivity--摄像头活动\
com.nirenr.talkman.ToolActivity--工具活动\
com.nirenr.talkman.settings.ImportActivity--导入设置活动\
com.nirenr.talkman.settings.ManagerActivity--管理活动\
com.nirenr.talkman.settings.UserSetting--用户设置活动\
com.nirenr.talkman.settings.RegActivity--注册活动\
com.nirenr.talkman.settings.LoginActivity--登录活动\
com.nirenr.talkman.settings.FlyTekSettings--科大讯飞设置活动\
com.nirenr.talkman.settings.UniSoundSettings--一声语音设置活动\
com.nirenr.talkman.settings.GestureManager--手势管理活动\
com.nirenr.talkman.settings.GestureSetting--手势设置活动\
com.nirenr.talkman.settings.GestureActivity--手势活动\
com.nirenr.talkman.settings.VoiceHelperSetting--语音助手设置活动\
com.nirenr.talkman.settings.TimerSetting--定时器设置活动\
com.nirenr.talkman.PictureInPictureActivity--画中画活动\
com.nirenr.talkman.settings.GeneralSetting--通用设置活动\
com.nirenr.screencapture.ScreenCaptureActivity--屏幕捕获活动\
com.nirenr.talkman.settings.BlackListSetting--黑名单设置活动\
com.nirenr.talkman.settings.StringListSetting--字符串列表设置活动\
com.nirenr.talkman.settings.SystemTtsSetting--系统TTS设置活动\
com.nirenr.talkman.settings.CommandListSetting--命令列表设置活动\
com.nirenr.talkman.settings.TimerManager--定时器管理活动\
com.nirenr.talkman.settings.EchoVoiceSettings--回声语音设置活动\
com.nirenr.talkman.settings.GestureEdit--手势编辑活动\
com.nirenr.talkman.settings.VoiceCmdManager--语音命令管理活动\
com.nirenr.talkman.settings.VoiceCmdShare--语音命令分享活动\
com.nirenr.talkman.settings.GestureFileManager--手势文件管理活动\
com.nirenr.talkman.settings.FileEdit--文件编辑活动\
com.nirenr.talkman.DownloadActivity--下载活动\
com.nirenr.talkman.RequestPermissionsActivity--请求权限活动\
com.nirenr.talkman.settings.CloudNote--云笔记设置活动\
com.nirenr.talkman.settings.TimerRun--定时器运行活动\
com.nirenr.talkman.settings.GestureFileShare--手势文件分享活动\
com.nirenr.talkman.settings.SoundSetting--声音设置活动\
com.nirenr.talkman.SetupActivity--设置活动\
com.androlua.LuaEditActivity--Lua编辑活动\
com.nirenr.talkman.PluginActivity--插件活动\
com.nirenr.talkman.settings.JSONSetting--JSON设置活动\
com.nirenr.talkman.ReaderActivity--阅读器活动\
com.nirenr.talkman.settings.SoundManager--声音管理活动\
com.nirenr.talkman.settings.HotKeySetting--热键设置活动\
com.nirenr.talkman.settings.HotKeyManager--热键管理活动\
com.nirenr.talkman.settings.GithubActivity--GitHub活动\
com.nirenr.talkman.settings.RePasswordActivity--重置密码活动\
com.nirenr.talkman.settings.ActivatedActivity--激活活动\
com.nirenr.talkman.settings.HotKeyShortcutSetting--热键快捷设置活动\
com.nirenr.talkman.AlbumActivity--相册活动\
com.nirenr.talkman.EmptyActivity--空活动\
com.reecedunn.espeak.DownloadVoiceData--下载语音数据活动\
com.reecedunn.espeak.CheckVoiceData--检查语音数据活动\
com.reecedunn.espeak.GetSampleText--获取示例文本活动\
com.reecedunn.espeak.TtsSettingsActivity--TTS设置活动\
com.reecedunn.espeak.eSpeakActivity--eSpeak活动\
com.nirenr.talkman.TalkManSetting--谈话人设置活动\
com.nirenr.talkman.settings.MainTtsSetting--主TTS设置活动\
com.nirenr.talkman.settings.AsyncTtsSetting--异步TTS设置活动\
com.nirenr.talkman.CameraActivity2--摄像头活动2\
com.androlua.LuaWallpaperSetting--Lua壁纸设置活动\
com.nirenr.talkman.settings.LabelSetting--标签设置活动\
com.nirenr.talkman.settings.TimerTtsSetting--定时器TTS设置活动\
com.nirenr.talkman.settings.LanguageSetting--语言设置活动\
com.android.talkback.TalkBackPreferencesActivity--谈话反馈首选项活动\
com.nirenr.talkman.settings.VoiceSupperCmdManager--语音支持命令管理活动\
com.nirenr.talkman.ai.ChatActivity--人工智能聊天活动",
"require \"import\"\
  import \"android.widget.*\"\
Layout={\
EditText;\
id=\"edit\";\
layout_width=\"fill\";\
}\
local dlg=LuaDialog()\
.setView(loadlayout(Layout))\
.setButton(\"OK\")\
.show()\
\
edit.requestFocus()\
local input=this.getSystemService(this.INPUT_METHOD_SERVICE)\
task(100,function()\
input.showSoftInput(edit,2)\
end)",
"```lua\
-- 定义一个函数，用于报告手机的模式（静音，震动，正常）\
function speakPhoneMode()\
-- 引入 import 库\
require \"import\"\
-- 导入 android.media.AudioManager 类\
import \"android.media.AudioManager\"\
-- 导入 android.content.Context 类\
import \"android.content.Context\"\
\
-- 获取当前上下文，如果是 activity 则取 activity，否则取 service\
context = activity or service\
-- 从系统服务中获取 AudioManager 实例\
audioManager = context.getSystemService(Context.AUDIO_SERVICE)\
\
-- 定义一个内部函数，用于获取当前手机的模式\
function getPhoneMode()\
-- 获取当前铃声模式\
local mode = audioManager.getRingerMode()\
-- 如果模式是静音，返回 \"Silent\"\
if mode == AudioManager.RINGER_MODE_SILENT then\
return \"Silent\"\
-- 如果模式是震动，返回 \"震动\"\
elseif mode == AudioManager.RINGER_MODE_VIBRATE then\
return \"震动\"\
-- 如果模式是正常，返回 \"正常\"\
elseif mode == AudioManager.RINGER_MODE_NORMAL then\
return \"正常\"\
-- 如果模式未知，返回 \"Unknown\"\
else\
return \"Unknown\"\
end\
end\
\
-- 获取手机模式\
local phoneMode = getPhoneMode()\
-- 通过服务，延迟500毫秒后报告手机模式\
service.postSpeak(500, \"手机模式： \" .. phoneMode)\
end\
\
-- 引入 import 库\
require \"import\"\
-- 导入相关的 Android 类\
import \"android.widget.SeekBar\"\
import \"android.widget.LinearLayout\"\
import \"android.widget.Button\"\
import \"com.androlua.LuaDialog\"\
import \"android.widget.TextView\"\
import \"android.media.AudioManager\"\
import \"android.content.Context\"\
\
-- 获取当前上下文，如果是 activity 则取 activity，否则取 service\
context\
```\
context = activity or service\
-- 从系统服务中获取 AudioManager 实例\
audioManager = context.getSystemService(Context.AUDIO_SERVICE)\
\
-- 定义一个函数，用于设置音量\
function setVolume(streamType, progress)\
-- 调用 AudioManager 的 setStreamVolume 方法设置音量\
audioManager.setStreamVolume(streamType, progress, 0)\
end\
\
-- 修改 setSoundMode 函数以调整铃声模式或振动\
function setSoundMode(mode)\
-- 获取当前铃声模式\
currentMode = audioManager.getRingerMode()\
-- 如果模式是振动且当前不是振动模式，则设置为振动\
if mode == \"vibrate\" and currentMode ~= AudioManager.RINGER_MODE_VIBRATE then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_VIBRATE)\
-- 如果模式是响铃且当前不是响铃模式，则设置为响铃\
elseif mode == \"ring\" and currentMode ~= AudioManager.RINGER_MODE_NORMAL then\
audioManager.setRingerMode(AudioManager.RINGER_MODE_NORMAL)\
end\
end\
\
-- 创建一个按钮，并设置其属性和点击事件\
{\
Button,\
id = \"soundModeButton\",\
text = \"Activate vibration mode\",\
layout_width = \"match_parent\",\
layout_height = \"wrap_content\",\
onClick = function(v)\
-- 获取按钮当前文本\
local buttonText = soundModeButton.getText()\
-- 如果按钮文本是 \"Activate vibration mode\"，则设置为振动模式\
if buttonText == \"Activate vibration mode\" then\
setSoundMode(\"vibrate\")\
soundModeButton.setText(\"Activate normal mode\")\
-- 如果按钮文本是 \"Activate normal mode\"，则设置为响铃模式\
elseif buttonText == \"Activate normal mode\" then\
setSoundMode(\"ring\")\
service.playSoundTick() -- 播放点击声音\
soundModeButton.setText(\"Activate\
```\
soundModeButton.setText(\"Activate vibration mode\")\
end\
end,\
-- 设置长按监听器\
onLongClickListener = {\
onLongClick = function(v)\
-- 关闭对话框\
dlg.dismiss()\
-- 调用 speakPhoneMode 函数\
service.click({{\"%speakPhoneMode\"}})\
return true\
end\
},\
-- 设置文本大小\
textSize = \"30sp\",\
-- 设置背景颜色\
background = \"#0000ff\",\
},\
}\
\
-- 定义一个函数，用于初始化音量滑动条\
function initializeSeekBar(seekBar, streamType)\
-- 获取最大音量\
maxVolume = audioManager.getStreamMaxVolume(streamType)\
-- 获取当前音量\
currentVolume = audioManager.getStreamVolume(streamType)\
\
-- 设置滑动条的最大值\
seekBar.setMax(maxVolume)\
-- 设置滑动条的当前值\
seekBar.setProgress(currentVolume)\
\
-- 设置滑动条值变化监听器\
seekBar.setOnSeekBarChangeListener(luajava.createProxy(\"android.widget.SeekBar$OnSeekBarChangeListener\", {\
onProgressChanged = function(seekBar, progress, fromUser)\
-- 如果值变化是由用户操作引起的\
if fromUser then\
-- 设置音量\
setVolume(streamType, progress)\
end\
end,\
onStartTrackingTouch = function(seekBar) end,\
onStopTrackingTouch = function(seekBar) end,\
}))\
end\
\
-- 创建 LuaDialog 实例\
dlg = LuaDialog()\
-- 加载布局\
dlg.setView(loadlayout(layout))\
-- 显示对话框\
dlg.show()\
\
-- 初始化各种音量滑动条\
initializeSeekBar(soundSeekBar, AudioManager.STREAM_RING) -- 初始化铃声音量滑动条\
initializeSeekBar(callSeekBar, AudioManager.STREAM_VOICE_CALL) -- 初始化",
"--inputType\
text=0x1,\
number=0x2,\
phone=0x3,\
datetime=0x4,\
textUri=0x11,\
numberPassword=0x12,\
date=0x14,\
time=0x24,\
\
textPassword=0x81,\
textVisiblePassword=0x91,\
\
textCapCharacters=0x1001,\
numberDecimal=0x2002,\
textCapWords=0x2001,\
numberSigned=0x1002,",
"require \"import\"\
import \"android.widget.*\"\
import \"android.view.*\"\
\
local layout={\
LinearLayout,orientation=1,layout_width=-1,layout_height=-1,\
{EditText,hint=\"原文本\",HintTextColor=\"#ffffff00\",Gravity=\"center_horizontal\",id=\"e1\",textColor=\"#ffffff00\",layout_width=-1,layout_height=\"20%h\",layout_weight=1,},\
{EditText,hint=\"对比文本\",HintTextColor=\"#ffffff00\",Gravity=\"center_horizontal\",id=\"e2\",textColor=\"#ffffff00\",layout_width=-1,layout_height=\"20%h\",layout_weight=1,},\
{EditText,hint=\"结果\",HintTextColor=\"#ffffff00\",Gravity=\"center_horizontal\",id=\"e3\",textColor=\"#ffffff00\",layout_width=-1,layout_height=\"20%h\",layout_weight=1,},\
{Button,text=\"查找唯一行\",onClick=\"xzwyh\",textColor=\"#ffffff00\",layout_width=-1,layout_height=\"10%h\",layout_weight=1,},\
{Button,text=\"升序排列（仅针对英文和数字）\",onClick=\"sxpl\",textColor=\"#ffffff00\",layout_width=-1,layout_height=\"10%h\",layout_weight=1,},\
}\
dlg=LuaDialog(service)\
dlg.View=loadlayout(layout)\
dlg.show()\
\
function xzwyh()\
local t1,str={},tostring(e1.text)\
for s in str:gmatch\"[^\\n]+\" do\
table.insert(t1,s)\
end\
local t2,str2={},tostring(e2.text)\
for s in str2:gmatch\"[^\\n]+\" do\
table.insert(t2,s)\
end\
local t3 = {}\
\
for _, v in pairs(t1) do\
t3[v] = true\
end\
\
for _, v in pairs(t2) do\
if not t3[v] then\
t3[v] = true\
else\
t3[v] = nil\
end\
end\
\
local kk=\"\"\
for k, _ in pairs(t3) do\
kk=kk..k..\"\\n\"\
end\
e3.text=kk\
end\
function sxpl()\
local t1,str={},tostring(e1.text)\
for s in str:gmatch\"[^\\n]+\" do\
table.insert(t1,s)\
end\
table.sort(t1)\
e3.text=table.concat(t1,\"\\n\")\
end\
return true",
"APPID 552893ea\
APISecret ODZjNTEzYzNjY2EwMThkMjU0Yjk5YWQy\
APIKey f21592b4eb44e39484d964f27482bb14",
"当编辑框处于焦点状态且为空时，执行粘贴操作。若编辑框中有文本，则执行发送、确定、评论、完成、保存或搜索按钮的点击操作。当编辑框中的文本包含网址或号码时，提取并点击以打开浏览器或拨打电话。对于微信和QQ头像，执行拍一拍功能。\
\
在电话和微信来电时，执行接听操作；在通话中时，执行挂断操作。\
\
当进度条处于焦点状态时，启用数字跳转进度功能。\
\
对于上述情况以外的其他焦点位置，执行媒体后台的播放和暂停操作。",
"--导入必要模块\
require \"import\"\
import \"android.widget.*\"\
import \"android.net.Uri\"\
import \"android.content.Intent\"\
import \"java.io.*\"\
\
--检查是否安装了QQ，如果没有则提示并退出程序\
if not pcall(function() this.getPackageManager().getPackageInfo(\"com.tencent.mobileqq\",0) end) then\
print(\"没有安装QQ,无法使用\")\
return\
end\
\
--设置保存好友信息的路径\
local path=\"/sdcard/myFriend\"\
\
--如果路径不存在则创建路径\
if not File(path).exists() then\
File(path).mkdir()\
end\
\
--设置保存好友信息的文件路径\
local path_f=path..\"/friend.json\"\
\
--如果文件不存在则创建文件\
if not File(path_f).exists() then\
io.open(path_f, 'w')\
end\
\
--定义界面布局\
local layout={\
LinearLayout,\
orientation=1,\
layout_width=-1,\
layout_height=-1,\
{EditText,\
hint=\"输入QQ号\",\
id=\"edit_nu\",\
layout_width=-1,\
layout_weight=1,\
InputType=\"number\",\
},\
{EditText,\
hint=\"输入备注\",\
id=\"edit_na\",\
layout_width=-1,\
layout_weight=1,\
},\
}\
\
--启动函数\
function startt()\
local list={}\
\
--读取保存的好友信息\
for c in io.lines(path_f) do\
table.insert(list,c)\
end\
\
local name,num={},{}\
\
--将好友信息分别存储到名字和QQ号的表中\
for i=1,#list do\
local na,nu=list[i]:match(\"(.*):(.*)\")\
table.insert(name,na)\
table.insert(num,nu)\
end\
\
--根据好友数量展示不同的提示信息\
local title=\"\"\
if #list==0 then\
title=\"列表中一个好友都没有哦\"\
else\
title=\"选择好友，长按删除\"\
end\
\
--创建对话框显示好友列表\
local dlg=LuaDialog()\
.setTitle(title)\
.setItems(name)\
.setButton(\"添加\",function()\
l_2()\
})\
.setButton2(\"取消\")\
.show()\
\
--点击好友列表项进行跳转聊天\
dlg.onItemClick=function(l,v,p,i)\
table.insert(list,1,list[i])\
table.remove(list,i+1)\
io.open(path_f,\"w\")\
:write(table.concat(list,\"\\n\"))\
:close()\
\
dlg.hide()\
url=\"mqqwpa://im/chat?chat_type=wpa&uin=\"..num[i]\
this.startActivity(Intent(Intent.ACTION_VIEW, Uri.parse(url)))\
end\
\
--长按好友列表项删除好友\
dlg.onItemLongClick=function(l,v,p,i)\
dlg.hide()\
table.remove(list,i)\
io.open(path_f,\"w\")\
:write(table.concat(list,\"\\n\"))\
:close()\
task(50,function()\
startt()\
end)\
return true\
end\
end\
\
--添加好友函数\
function l_2()\
local dlg=LuaDialog()\
.setView(loadlayout(layout))\
.setButton(\"确定\",function()\
local list={}\
for c in io.lines(path_f) do\
table.insert(list,c)\
end\
if edit_nu.text==\"\" or edit_na.text==\"\" then\
print(\"输入不可为空\")\
return\
end\
table.insert(list,edit_na.text..\":\"..edit_nu.text)\
io.open(path_f,\"w\")\
:write(table.concat(list,\"\\n\"))\
:close()\
startt()\
end)\
.setButton2(\"返回上层\",function()\
startt()\
end)\
.show()\
end\
\
--启动程序\
startt()",
"if Tick then\
Tick.stop()\
Tick=nil\
service.speak(\"停止\")\
return true\
end\
require \"import\"\
import \"android.widget.*\"\
local txt,jd=service.getAllTextList(),service.getText(node)\
edit=loadlayout({EditText,text=\"100\"})\
LuaDialog()\
.setTitle(\"时间\")\
.setView(edit)\
.setButton(\"确定\",function()\
require \"import\"\
local tbl=\"[^，。？！…；]+\"\
local tms=1\
Tick=Ticker()\
Tick.Period=tonumber(edit.text)\
local list={}\
local function newlist()\
table.clear(list)\
local txt=service.getText(service.getFocusView())\
if txt and #txt>3\
for s in utf8.gmatch(txt,tbl)\
if #s>0\
table.insert(list,s)\
for i=1,tms\
table.insert(list,0)\
end\
end\
end\
if #list>0\
return true\
end\
end\
end\
newlist()\
Tick.onTick=function()\
if service.isSpeaking()\
elseif #list>0\
local s=list[1]\
if type(s)==\"string\"\
service.speak(s)\
end\
    table.remove(list,1)\
   elseif service.toNext()\
    if newlist()\
service.postSpeak(150,list[1])\
table.remove(list,1)\
    end\
end\
end\
Tick.start()\
service.speak(\"开始\")\
end)\
.show()\
return true",
"--滑动到进度条两端\
if service.isSeekBar(node) then\
if tonumber(node.stateDescription:match(\"(%d+)%%\"))<20 then\
service.click({{\"%模拟右滑<2\"}})\
else\
service.click({{\"%模拟左滑<2\"}})\
end\
else\
service.speak(\"当前焦点不是进度条\")\
end",
"require \"import\" -- 导入必要的模块\
import \"android.widget.*\" -- 导入 Android 的 UI 控件\
import \"cjson\" -- 导入解析 JSON 的模块\
\
local ak=\"auto_speak_apps\" -- 定义存储自动朗读的应用程序数据的 key\
local bk=\"auto_speak_blacklist_data\" -- 定义存储黑名单关键字的数据的 key\
local as=luajava.astable(activity.getSharedData(ak) or HashSet()) -- 获取或创建自动朗读应用程序的集合\
local bs=cjson.decode(activity.getSharedData(bk) or \"{}\") -- 获取或解析黑名单数据\
\
local bas={} -- 创建一个数组存储黑名单关键字的设置\
for k,v pairs(bs) -- 遍历黑名单数据\
for kk,vv ipairs(v) -- 遍历黑名单数据中的值\
bas[vv]=true -- 将黑名单关键字添加到 bas 数组中\
end\
end\
\
local apps={\"抖音\",\"抖音极速版\",\"快手\",\"快手极速版\",\"微信视频号\"} -- 定义需要自动朗读的应用程序名称\
local bns={\"用户进入直播间\",\"用户送礼物\",\"用户来了\",\"用户点赞\",\"用户关注了主播\",\"用户加入粉丝团\",\"用户分享直播间\"} -- 定义黑名单关键字的对应描述\
local blacks={\"*进入直播间*\",\"*送出了*\",\"*来了*\",\"*点赞*\",\"*关注了*\",\"*加入了*\",\"*分享了*\"} -- 定义黑名单关键字\
local root=LinearLayout(activity) -- 创建一个线性布局\
local tv=TextView(activity) -- 创建一个文本视图\
tv.text=\"朗读的程序，勾选的程序会自动朗读公屏\" -- 设置文本内容\
root.addView(tv) -- 将文本视图添加到布局中\
\
root.setOrientation(1) -- 设置布局的方向为垂直\
local caks={} -- 创建一个存储复选框对象的数组\
\
for k,v ipairs(apps) -- 遍历应用程序名称\
local ck=CheckBox(activity) -- 创建一个复选框对象\
caks[v]=ck -- 将复选框对象添加到数组中\
ck.text=v -- 设置复选框的文本内容为应用程序名称\
if table.find(as,v) -- 检查应用程序是否在自动朗读的集合中\
ck.checked=true -- 将复选框设为选中状态\
end\
root.addView(ck) -- 将复选框添加到布局中\
end\
\
local tv2=TextView(activity) -- 创建另一个文本视图\
tv2.text=\"朗读过滤设置，勾选的关键字将不会朗读\" -- 设置文本内容\
root.addView(tv2) -- 将文本视图添加到布局中\
local cbks={} -- 创建一个存储复选框对象的数组\
\
for k,v ipairs(blacks) -- 遍历黑名单关键字\
local ck=CheckBox(activity) -- 创建一个复选框对象\
cbks[v]=ck -- 将复选框对象添加到数组中\
ck.text=bns[k] -- 设置复选框的文本内容为对应的描述\
if bas[v] -- 检查黑名单关键字是否在设置中\
ck.checked=true -- 将复选框设为选中状态\
end\
root.addView(ck) -- 将复选框添加到布局中\
end\
\
btn=Button(activity) -- 创建一个按钮对象\
btn.text=\"保存当前公平设置\" -- 设置按钮文本\
btn.onClick=function() -- 设置按钮的点击事件处理函数\
\
for kk,vv ipairs(apps) -- 遍历应用程序名称\
bs[vv]=bs[vv] or {} -- 确保黑名单数据中有当前应用程序的条目\
\
for k,v ipairs(blacks) -- 遍历黑名单关键字\
local ck=cbks[v] -- 获取对应的复选框对象\
if ck.checked -- 检查复选框是否被选中\
if not table.find(bs[vv],v) -- 如果黑名单数据中没有该关键字\
table.insert(bs[vv],v) -- 将关键字添加到黑名单数据中\
end\
else\
local i= table.find(bs[vv],v) -- 查找关键字在黑名单数据中的位置\
if i -- 如果找到\
table.remove(bs[vv],i) -- 从黑名单数据中移除该关键字\
end\
end\
end\
\
local ck=caks[vv] -- 获取应用程序对应的复选框对象\
if ck.checked -- 检查复选框是否被选中\
if not table.find(as,vv) -- 如果自动朗读的集合中没有该应用程序\
table.insert(as,vv) -- 将应用程序添加到自动朗读集合中\
end\
else\
local i= table.find(as,vv) -- 查找应用程序在自动朗读集合中的位置\
if i -- 如果找到\
table.remove(as,i) -- 从自动朗读集合中移除该应用程序\
end\
end\
\
end\
activity.setSharedData(ak,HashSet(ArrayList(as))) -- 保存自动朗读的应用程序集合\
activity.setSharedData(bk,cjson.encode(bs)) -- 保存黑名单数据\
print(\"已保存公屏设置\") -- 输出保存成功的提示信息\
end\
\
root.addView(btn) -- 将保存按钮添加到布局中\
activity.setContentView(root) -- 设置活动的视图内容为该布局\
\
\
这个脚本主要包括设置需要自动朗读的应用程序和黑名单关键字的过滤器，用户可以自定义设置以便自动朗读公屏内容。",
"布局表字符串常量\
布局表支持属性字符串常量\
-- android:drawingCacheQuality\
auto=0,\
low=1,\
high=2,\
\
-- android:importantForAccessibility\
auto=0,\
yes=1,\
no=2,\
\
-- android:layerType\
none=0,\
software=1,\
hardware=2,\
\
-- android:layoutDirection\
ltr=0,\
rtl=1,\
inherit=2,\
locale=3,\
\
-- android:scrollbarStyle\
insideOverlay=0x0,\
insideInset=0x01000000,\
outsideOverlay=0x02000000,\
outsideInset=0x03000000,\
\
-- android:visibility\
visible=0,\
invisible=1,\
gone=2,\
\
wrap_content=-2,\
fill_parent=-1,\
match_parent=-1,\
wrap=-2,\
fill=-1,\
match=-1,\
\
-- android:orientation\
vertical=1,\
horizontal= 0,\
\
-- android:gravity\
axis_clip = 8,\
axis_pull_after = 4,\
axis_pull_before = 2,\
axis_specified = 1,\
axis_x_shift = 0,\
axis_y_shift = 4,\
bottom = 80,\
center = 17,\
center_horizontal = 1,\
center_vertical = 16,\
clip_horizontal = 8,\
clip_vertical = 128,\
display_clip_horizontal = 16777216,\
display_clip_vertical = 268435456,\
--fill = 119,\
fill_horizontal = 7,\
fill_vertical = 112,\
horizontal_gravity_mask = 7,\
left = 3,\
no_gravity = 0,\
relative_horizontal_gravity_mask = 8388615,\
relative_layout_direction = 8388608,\
right = 5,\
start = 8388611,\
top = 48,\
vertical_gravity_mask = 112,\
end = 8388613,\
\
-- android:textAlignment\
inherit=0,\
gravity=1,\
textStart=2,\
textEnd=3,\
textCenter=4,\
viewStart=5,\
viewEnd=6,\
\
-- android:inputType\
none=0x00000000,\
text=0x00000001,\
textCapCharacters=0x00001001,\
textCapWords=0x00002001,\
textCapSentences=0x00004001,\
textAutoCorrect=0x00008001,\
textAutoComplete=0x00010001,\
textMultiLine=0x00020001,\
textImeMultiLine=0x00040001,\
textNoSuggestions=0x00080001,\
textUri=0x00000011,\
textEmailAddress=0x00000021,\
textEmailSubject=0x00000031,\
textShortMessage=0x00000041,\
textLongMessage=0x00000051,\
textPersonName=0x00000061,\
textPostalAddress=0x00000071,\
textPassword=0x00000081,\
textVisiblePassword=0x00000091,\
textWebEditText=0x000000a1,\
textFilter=0x000000b1,\
textPhonetic=0x000000c1,\
textWebEmailAddress=0x000000d1,\
textWebPassword=0x000000e1,\
number=0x00000002,\
numberSigned=0x00001002,\
numberDecimal=0x00002002,\
numberPassword=0x00000012,\
phone=0x00000003,\
datetime=0x00000004,\
date=0x00000014,\
time=0x00000024,\
\
--android:ellipsize\
end　　 \
start 　　\
middle \
marquee\
\
相对布局rule\
layout_above=2,\
layout_alignBaseline=4,\
layout_alignBottom=8,\
layout_alignEnd=19,\
layout_alignLeft=5,\
layout_alignParentBottom=12,\
layout_alignParentEnd=21,\
layout_alignParentLeft=9,\
layout_alignParentRight=11,\
layout_alignParentStart=20,\
layout_alignParentTop=10,\
layout_alignRight=7,\
layout_alignStart=18,\
layout_alignTop=6,\
layout_alignWithParentIfMissing=0,\
layout_below=3,\
layout_centerHorizontal=14,\
layout_centerInParent=13,\
layout_centerVertical=15,\
layout_toEndOf=17,\
layout_toLeftOf=0,\
layout_toRightOf=1,\
layout_toStartOf=16\
\
\
\
尺寸单位\
px=0,\
dp=1,\
sp=2,\
pt=3,\
in=4,\
mm=5",
"require \"import\"\
import \"com.androlua.*\"\
import \"android.content.*\"\
import \"android.net.*\"\
import \"java.text.SimpleDateFormat\"\
import \"java.util.Date\"\
\
local url = \"https://www.npford.com/news/56454.html\"\
Http.get(url, function(status, data)\
print(data)\
end)",
"((?<=[。？！.?!])[”’）》】〗］｝〕』』\"'\\)\\]\\}]+[\\u0020\\u00A0]?|([。？！.?!]+[\\u0020\\u00A0]+)+|[。？！]+|\\n)+",
"--搜索列表\
require \"import\"\
import \"android.app.*\"\
import \"android.os.*\"\
import \"android.widget.*\"\
import \"android.view.*\"\
import \"layout\"\
--activity.setTitle('AndroLua+')\
--activity.setTheme(android.R.style.Theme_Holo_Light)\
activity.setContentView(loadlayout(layout))\
data=ArrayList()\
adapter=ArrayAdapter(this,android.R.layout.simple_expandable_list_item_1,data)\
list.setAdapter(adapter)\
--[[\
宣明DeclareM\
QQ群241449466\
]]\
function init()\
data.clear()\
adapter.clear()\
for i=0,100 do\
data.add(i)\
end\
adapter.notifyDataSetChanged()\
end\
function findData(a)\
iter=data.iterator()\
while iter.hasNext() do\
-- print(iter.next()..\"\")\
if String(iter.next()..\"\").indexOf(a) == -1 then\
iter.remove()\
end\
end\
end\
init()\
import \"android.text.TextWatcher\"\
edit.addTextChangedListener(TextWatcher{\
onTextChanged=function(p1,p2,p3,p4)\
init()\
findData(p1.toString())\
end})",
"--[[在解说拓展公益班同学圣洁制作的获取当前焦点中心坐标插件基础上修改制作，\13\
用一对方括号将提示结果扩上，省去手动添加方括号环节，可以直接复制提示结果后粘贴到字符串内使用。]]\13\
\13\
require \"import\"\13\
import \"android.graphics.Rect\"\13\
    local p=Rect()\13\
    node.getBoundsInScreen(p)\13\
print(\"[\"..string.format(\"%.0f,%.0f\",(p.left+(p.right-p.left)/2),(p.top+(p.bottom-p.top)/2))..\"]\")",
"local json={\
-- 定义一个名为json的变量，它是一个table（对象）\
\
function open(p)\
-- open函数用于打开一个文件并返回一个包含读写方法的table\
\
return {\
-- 返回一个table，包含两个函数：read和write\
\
function read()\
-- read函数用于读取文件内容，并将其转换为Lua对象\
\
local s=io.readall(p)\
-- 使用io.readall方法读取文件的全部内容，并将其赋值给变量s\
\
s=s and (loadstring(s) or loadstring(\"return \"..s))\
-- 如果s有值，即文件内容非空，则尝试将其解析为Lua代码并执行\
\
return s and s()\
-- 判断s是否有值，如果有值则调用并返回它\
\
end,\
\
function write(t)\
-- write函数用于将Lua对象转换为字符串并写入文件\
\
if type(t)==\"table\" then\
-- 如果t是一个table对象，则执行以下代码\
\
local s={\"{\"}\
-- 创建一个名为s的table，初始值为一个包含左大括号的数组\
\
for k,v in ipairs(t) do\
-- 遍历table t的所有元素，将每个元素的键和值保存到变量k和v中\
\
table.insert(s,string.format(\"%q,\",v))\
-- 将字符串格式化为双引号括起来，并添加到s数组中\
end\
\
table.insert(s,\"}\")\
-- 在s数组的最后添加一个右大括号\
\
return io.saveall(p,table.concat(s,\"\\n\"))\
-- 将s数组中的元素用换行符连接起来，并写入文件\
end\
end\
}\
end\
}",
"if service.click({{{\"#com.nirenr.talkman:id/button4\", \"#com.nirenr.talkman:id/button16\"}, \"%朗读/ \", {\"#com.nirenr.talkman:id/button4\", \"#android:id/button1\"}, \"%朗读/ \", \"#android:id/button1\", }})\
return true\
\
elseif service.click({{\"#android:id/button1\",}}) \
else \
text=service.getText(node) \
function t()\
service.setText(text) \
service.click({{\"#android:id/button1$0\",}}) \
end\
require \"import\"\
import \"android.widget.*\"\
edit=loadlayout({EditText,text=sbjg})\
LuaDialog()\
.setTitle(\" \")\
.setView(edit.setText(\"George\")\
)\
.setButton2(\"CANCEL\",function()\
service.click({{\"%返回\",}}) \
end)\
.setButton3(\"addFavorites\",function()\
service.addFavorites(edit.text) \
end)\
.setButton(\"Paste\",function()\
task(300,function()\
service.setText(edit.text) \
end) \
end)\
.show()\
task(100,function()\
service.click({{edit.text..\"$0\",\"%拆分编辑$0\",\"#*text1*#1$0\",\"%t$0\",}})\
end)\
return true\
\
end",
"-- 导入必要的库\
require \"import\"\
import \"android.view.*\"\
import \"com.androlua.LuaDialog\"\
import \"android.widget.*\"\
import \"buju\"\
import \"fh\"\
import \"text\"\
import \"jqb\"\
import \"edit\"\
import \"scj\"\
\
-- 导入JSON库cjson\
local cjson = require \"cjson\"\
\
-- 符号文件路径\
local path=this.getLuaExtDir(\"插件/剪切板，符号，收藏夹三合一测试版/符号.json\")\
\
-- 符号处理函数\
local function symbol(path,table)\
local t={}\
\
-- 读取文件内容并解析为表格形式\
if not table and path then\
local s=io.readall(path)\
t=cjson.decode(s)\
return t\
elseif type(table)==\"table\" and #table>0 then\
\
-- 将表格内容转换为JSON字符串并写入文件\
local file=io.open(path,\"w\")\
file:write(cjson.encode(table))\
file:close()\
end\
end\
\
-- 生成ListView的Adapter\
local adapter = function(t)\
local data={}\
\
-- 将符号表格内容转换为适配器的数据格式\
for k,v in pairs(t) do\
table.insert(data,{txt=v})\
end\
\
-- 创建并返回适配器\
local adapter=LuaAdapter(this,data,text)\
return adapter\
end\
\
-- 生成GridView的Adapter\
local adapter1 = function(t)\
local data={}\
\
-- 将剪切板或收藏夹表格内容转换为适配器的数据格式\
for i=0,#t-1 do\
table.insert(data,{txt=t[i]})\
end\
\
-- 创建并返回适配器\
local adapter=LuaAdapter(this,data,text)\
return adapter\
end\
\
-- 加载符号内容、剪切板内容和收藏夹内容\
local t = symbol(path)\
local t2 = service.getClipboardList()\
local t3 = service.getFavoritesList()\
\
-- 创建LuaDialog对话框\
dlg = LuaDialog(this)\
dlg.View=(loadlayout(buju))\
\
-- 设置剪切板和收藏夹的ListView适配器\
list.adapter = adapter1(t2)\
list1.adapter = adapter1(t3)\
\
-- 设置符号的GridView适配器\
grid.adapter = adapter(t)\
\
-- 设置剪切板、符号和收藏夹按钮文本\
jqbbut.Text = \"剪切板\" .. #t2\
fhbut.Text = \"符号\" .. #t\
scjbut.Text = \"收藏夹\" .. #t3\
\
-- 显示对话框\
dlg.setPositiveButton(\"说明\", {onClick = function() print(说明) end})\
dlg.setNegativeButton(\"取消\", nil)\
dlg.show()\
\
-- 页面切换按钮点击事件\
jqbbut.onClick = function()\
page.showPage(0)\
end\
\
fhbut.onClick = function()\
page.showPage(1)\
end\
\
scjbut.onClick = function()\
page.showPage(2)\
end\
\
-- ListView点击事件\
list.onItemClick = function(l,v,p,i)\
dlg.dismiss()\
service.insert(node,v.text)\
end\
\
-- 剪切板按钮点击事件\
jqbbutton.onClick = function()\
dlg.dismiss()\
task(100, function()\
service.execute(\"剪切板\",node)\
end)\
end\
\
-- 剪切板按钮长按事件\
jqbbutton.onLongClick = function()\
dlg.dismiss()\
task(100, function()\
service.execute(\"剪切板\",node)\
service.click({{\"管理>50$100\"}})\
end)\
end\
\
-- GridView点击事件\
local s=\"\"\
grid.onItemClick = function(l,v,p,i)\
s = s .. v.text:gsub(\"(%-%-.+)\",\"\")\
service.insert(node,s)\
end\
\
-- GridView长按事件\
grid.onItemLongClick = function(l,v,p,i)\
dlg.dismiss()\
local ed = LuaDialog(this)\
ed.setTitle(\"添加内容\")\
ed.setView(loadlayout(edit))\
Edit.Text = v.text\
ed.setPositiveButton(\"确定\", {onClick = function()\
if Edit.text == v.text and Edit.text~=\"\" then\
ed.dismiss()\
dlg.show()\
elseif Edit.text == \"\" then\
table.remove(t,i)\
symbol(path,t)\
grid.adapter = adapter(t)\
dlg.show()\
elseif Edit.text ~= nil then\
table.remove(t,i)\
table.insert(t,i,Edit.text)\
symbol(path,t)\
grid.adapter = adapter(t)\
dlg.show()\
end\
end})\
ed.setNegativeButton(\"取消\", {onClick = function()\
dlg.show()\
ed.dismiss()\
end})\
ed.show()\
end\
\
-- 添加符号按钮点击事件\
tjbutton.onClick = function()\
dlg.dismiss()\
local ed = LuaDialog(this)\
ed.setTitle(\"添加内容\")\
ed.setView(loadlayout(edit))\
ed.setButton(\"确定\", function()\
table.insert(t,Edit.text)\
symbol(path,t)\
grid.adapter = adapter(t)\
fhbut.Text = \"符号\" .. #t\
dlg.show()\
end)\
ed.setButton2(\"取消\", function()\
ed.dismiss()\
dlg.show()\
end)\
ed.show()\
end\
\
-- 收藏夹ListView点击事件\
list1.onItemClick = function(l,v,p,i)\
dlg.dismiss()\
service.insert(node,v.text)\
end\
\
-- 收藏夹按钮点击事件\
scjbutton.onClick = function()\
dlg.dismiss()\
task(100, function()\
service.execute(\"收藏夹\",node)\
end)\
end\
\
-- 收藏夹按钮长按事件\
scjbutton.onLongClick = function()\
dlg.dismiss()\
task(100, function()\
service.execute(\"收藏夹\",node)\
service.click({{\"管理>50$100\"}})\
end)\
end\
",
"健和推拿中心作为一家专注于传统中医治疗的机构，提供了一系列纯粹的中医理疗服务。下面简单介绍一下中心所提供的几种服务：\
1. 传统点穴推拿手法：通过按摩身体特定的穴位来缓解疼痛、放松肌肉、调整身体的气血平衡，从而达到治疗和保健的目的。\
2. 艾灸：使用艾草制成的艾绒点燃后放在或近离穴位进行温和的燃烧，以温热刺激用来改善气血循环，增强身体抵抗力。\
3. 肌肉拉伸：通过特定的体位和动作，帮助放松和舒展肌肉，释放紧张，恢复肌肉的弹性和活动范围。\
4. 关节调整：通过物理手法调整关节的位置和运动功能，以改善关节机能，缓解由于关节错位所引起的疼痛和不适。\
5. 火罐：通过罐中点火产生负压，快速放在皮肤上造成局部吸附，以促进血液循环和代谢，达到散寒除湿、缓解肌肉疼痛的效果。\
6. 刮痧：使用特制的刮痧板在皮肤油润的情况下进行刮擦，出现红紫色的痧痕，从而达到促进血液循环、消炎止痛的效果。\
通过这些传统的治疗手法，结合现代理疗的技术，为每位顾客量身定制理疗方案，助您恢复生机，享受内外兼修的健康体验。欢迎预约咨询，",
"--反向长复制\
require \"import\"\
import \"android.view.Gravity\"\
import \"android.widget.Toast\"\
import \"com.androlua.Ticker\"\
import \"java.time.Period\"\
Copys = Ticker()\
Copys.Period = 200\
function Copys.onTick()\
if not service.toPrevious() then\
service.appendCopy()\
Copys.stop()\
Toast.makeText(service, \"已完成复制\", Toast.LENGTH_SHORT)\
.setGravity(Gravity.CENTER_HORIZONTAL | Gravity.CENTER_VERTICAL, 0, 0)\
.show()\
else\
service.appendCopy()\
end\
end\
if service.copy() then\
service.toPrevious()\
Toast.makeText(service, \"开始反向长复制\", Toast.LENGTH_SHORT)\
.setGravity(Gravity.CENTER_HORIZONTAL | Gravity.CENTER_VERTICAL, 0, 0)\
.show()\
Copys.start()\
end",
"strings=\"左中右\"\
--取字符串左边\
左=strings:match(\"(.+)中\")\
--取字符串中间\
中=strings:match(\"左(.-)右\")\
--取字符串右边\
右=strings:match(\"(.+)右\")\
--替换\
string.gsub(原字符串,替换的字符串,替换成的字符串)\
--匹配子串位置\
起始位置,结束位置=string.find(字符串,子串)\
--按位置捕获字符串\
string.sub(字符串,子串起始位置,子串结束位置)",
"--光标跳转\
require \"import\"\
import \"android.widget.*\"\
import \"android.view.*\"\
local txt,a=service.getText(node),2\
local t1,t2,t3,t4,t11,t21={},{},{},{},{},{}\
for n=1,utf8.len(txt),1 do\
if \"。\"==utf8.sub(txt,n,n)\
j=utf8.sub(txt,n,n+20)\
table.insert(t11,n)\
table.insert(t1,n..j)\
end\
if \"，\"==utf8.sub(txt,n,n)d=utf8.sub(txt,n,n+20)\
table.insert(t21,n)\
table.insert(t2,n..d)\
end\
if \"\\n\"==utf8.sub(txt,n,n)\
h=utf8.sub(txt,n,n+20)\
table.insert(t3,a..\"行\"..h..\"位置在\"..n)\
a=a+1\
table.insert(t4,n)\
end\
end\
layout=\
{\
LinearLayout,\
orientation=1,\
layout_width=-1,\
layout_height=-1,\
{\
EditText,\
hint=\"输入数字\",\
HintTextColor='#ff00ffff',\
id=\"edit\",\
Gravity=\"center_horizontal\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_height=\"10%h\",\
layout_weight=1,\
inputType=\"number\"\
},\
{\
EditText,\
hint=\"输入关键字\",\
HintTextColor='#ff00ffff',\
id=\"e2\",\
Gravity=\"center_horizontal\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_height=\"10%h\",\
layout_weight=1,\
},\
{Button,\
text=\"光标跳转，共\"..utf8.len(txt)..\"个字\",\
onClick=\"gbtz\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_height=\"10%h\",\
layout_weight=1,},\
{Button,\
text=\"逗号跳转\"..string.format(\"共%d个逗号\",#t2),\
onClick=\"tzdh\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_weight=1,},\
{Button,\
text=\"句号跳转\"..string.format(\"共%d个句号\",#t1),\
onClick=\"tzjh\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_weight=1,},\
{Button,\
text=\"按行跳转\"..string.format(\"共%d行\",#t4+1),\
onClick=\"tzh\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_weight=1,},\
{Button,\
text=\"自定义跳转\",\
onClick=\"zdytz\",\
textColor=\"#ff00ffff\",\
layout_width=-1,\
layout_weight=1,},\
}\
dlg=LuaDialog()\
.setView(loadlayout(layout))\
.show()\
function gbtz()\
dlg.hide()\
if edit.text==\"\"\
print(\"请输入数字\")\
else\
service.setSelection(node,tonumber(edit.text))\
end\
end\
function tzdh()\
dlg.hide()\
require\"import\"\
dlg=LuaDialog()\
dlg.setTitle(string.format(\"共%d个逗号\",#t2))\
dlg.setItems(t2)\
.show()\
dlg.onItemClick=function(l,v,p,i)\
dlg.dismiss()\
service.setSelection(node,tonumber(t21[i]))\
end\
end\
function tzjh()\
dlg.hide()\
require\"import\"\
dlg=LuaDialog()\
dlg.setTitle(string.format(\"共%d个句号\",#t1))\
dlg.setItems(t1)\
.show()\
dlg.onItemClick=function(l,v,p,i)\
dlg.dismiss()\
service.setSelection(node,tonumber(t11[i]))\
end\
end\
function tzh()\
dlg.hide()\
require\"import\"\
dlg=LuaDialog()\
dlg.setTitle(string.format(\"共%d行\",#t4+1))\
dlg.setItems(t3)\
.show()\
dlg.onItemClick=function(l,v,p,i)\
dlg.dismiss()\
service.setSelection(node,tonumber(t4[i]))\
end\
end\
function zdytz()\
dlg.hide()\
require\"import\"\
local t5,t51={},{}\
for n=1,utf8.len(txt),1 do\
if e2.text==utf8.sub(txt,n,n)\
z=utf8.sub(txt,n,n+20)\
table.insert(t5,n..z)\
table.insert(t51,n)\
end\
end\
local dlg=LuaDialog()\
dlg.setTitle(string.format(\"共%d个\",#t5))\
dlg.setItems(t5)\
.show()\
dlg.onItemClick=function(l,v,p,i)\
dlg.dismiss()\
service.setSelection(node,tonumber(t51[i]))\
end\
end\
return true",
"--接着朗读\
require\"import\"\
local t5,t51,txt={},{},tostring(service.getAllTextList())\
table.insert(t5,utf8.sub(txt,1,100))\
for n=1,utf8.len(txt),1 do\
if \"？\"==utf8.sub(txt,n,n) or \"。\"==utf8.sub(txt,n,n)\
b=utf8.sub(txt,n,n+30)\
table.insert(t5,b..n)\
table.insert(t51,n)\
end\
end\
local dlg=LuaDialog()\
dlg.setTitle(string.format(\"共%d个\",#t5))\
dlg.setItems(t5)\
.show()\
dlg.onItemClick=function(l,v,p,i)\
service.speak(utf8.sub(txt,t51[i-1],-1))\
end\
return true",
"--一字一顿\
require \"import\"\
local str=service.getText(node)\
local t={}\
utf8.gsub(str,\".\",function(s)\
table.insert(t,\",\"..s)end)\
service.speak(table.concat(t))",
"--一字一顿\
local text=service.getText(node)\
local i=1\
local time=300\
local t={{ }}\
while utf8.sub(text,i,i)~='' and i<10000 do\
table.insert(t[1],'%朗读/'..utf8.sub(text,i,i).. '$' .. time )\
i=i+1\
end\
service.click(t)\
return true",
"--日期时间电量\
local weekDays = {\
    [\"Sunday\"] = \"星期日\",\
    [\"Monday\"] = \"星期一\",\
    [\"Tuesday\"] = \"星期二\",\
    [\"Wednesday\"] = \"星期三\",\
    [\"Thursday\"] = \"星期四\",\
    [\"Friday\"] = \"星期五\",\
    [\"Saturday\"] = \"星期六\"\
}\
\
local currentWeekDay = os.date(\"%A\")\
local chineseWeekDay = weekDays[currentWeekDay]\
\
local s = os.date(\"%Y年%m月%d日%H点%M分%S秒\") .. \"，\" .. chineseWeekDay\
s = string.format(\"%s，电量百分之%d\", s, service.getBatteryLevel())\
service.speak(s)\
return true",
"--倒计时\
\
-- 导入所需的库\
require \"import\"\
\
-- 获取全局数据\
data = service.getGlobalData()\
\
-- 如果数据包含时间信息\
if data.time then\
  -- 如果计时器是启用状态\
  if data.time.enabled == true then\
    -- 更新计时器的结束时间\
    data.r = os.time()\
  end\
\
  -- 计算剩余时间（以分钟为单位）\
  local remainingTime = data.m - ((os.time() - data.now) - (data.r - data.p)) // 60\
  \
  -- 创建对话框选项\
  local item = {\
    string.format(\"剩余%d分钟\", remainingTime), -- 显示剩余时间\
    \"暂停\",\
    \"停止\",\
    \"返回\"\
  }\
  \
  -- 如果计时器未启用\
  if data.time.enabled == false then\
    item[2] = \"继续\" -- 将选项修改为\"继续\"\
  end\
\
  -- 显示对话框\
  dlg = LuaDialog(){\
    items=item,\
    onItemClick=function(l,v)\
      -- 根据选项执行对应的操作\
      switch(v.text)\
       case \"暂停\"\
        pause()\
       case \"继续\"\
        resume()\
       case \"停止\"\
        stop()\
      end\
      dlg.dismiss()\
    end\
  }.show()\
else\
  -- 获取当前时间\
  local now = os.time()\
  \
  -- 初始化计时器相关数据\
  data.now = now\
  data.l = 0\
  \
  -- 创建并配置计时器\
  local time = Ticker()\
  time.onTick = function()\
    if data.m == nil then\
      return\
    end\
    \
    -- 计算剩余时间\
    local t = data.m - (os.time() - now - (data.r - data.p)) // 60\
    \
    -- 如果剩余时间发生变化\
    if t ~= last then\
      last = t\
      \
      -- 如果剩余时间小于等于0\
      if t <= 0 then\
        stop() -- 停止计时\
      -- 如果剩余时间小于5分钟\
      elseif t < 5 then\
        service.playSoundTick()\
        service.asyncSpeak(string.format(\"%d分\", t)) -- 播放提示音并朗读剩余时间\
      -- 如果剩余时间是10的倍数\
      elseif t % 10 == 0 then\
        service.playSoundTick()\
        service.asyncSpeak(string.format(\"%d分\", t)) -- 播放提示音并朗读剩余时间\
      end\
    end\
  end\
  time.Interval = 1000\
\
  -- 定义可选的倒计时时间\
  times = {\
    1,\
    5,\
    10,\
    15,\
    30,\
    45,\
    60,\
    90,\
    120,\
    180,\
    240\
  }\
\
  -- 显示倒计时时间选择对话框\
  dlg = LuaDialog(){\
    items={\
      \"1分钟\",\
      \"5分钟\",\
      \"十分钟\",\
      \"十五分钟\",\
      \"半小时\",\
      \"四十五分钟\",\
      \"一小时\",\
      \"九十分钟\",\
      \"两小时\",\
      \"3小时\",\
      \"4小时\",\
    },\
    onItemClick=function(l,v,p,i)\
      dlg.dismiss()\
\
      -- 配置计时器数据\
      data.time = time\
      data.p = 0\
      data.r = 0\
      data.m = times[i]\
      last = data.m\
\
      -- 启动计时器\
      time.start()\
      service.asyncSpeak(string.format(\"开始%d分钟倒计时\", data.m)) -- 播放提示音并朗读倒计时开始\
    end\
  }.show()\
end\
\
-- 停止计时器\
function stop()\
  data.time.stop()\
  data.time = nil\
  data.p = nil\
  data.r = nil\
  data.m = nil\
  service.playSoundClock()\
  service.asyncSpeak(\"，计时已结束\") -- 播放提示音并朗读计时已结束\
end\
\
-- 暂停计时器\
function pause()\
  data.time.enabled = false\
  data.p = os.time()\
  service.asyncSpeak(\"暂停计时\") -- 播放提示音并朗读暂停计时\
end\
\
-- 继续计时器\
function resume()\
  data.time.enabled = true\
  data.r = os.time()\
  service.asyncSpeak(\"继续计时\") -- 播放提示音并朗读继续计时\
end",
"require \"import\"\
import \"com.androlua.Ticker\"\
local n=0\
if Tick then\
Tick.stop()\
service.speak(\"停止\")\
Tick=nil\
return true\
end\
Tick=Ticker()\
Tick.Period=150\
Tick.onTick=function()\
if n==1\
n=0\
service.toNextLine()\
if not service.toNextLine()\
service.toNext()\
end\
elseif not service.isSpeaking()\
\9n=n+1\
end\
end\
Tick.start()\
service.speak(\"开始\")",
"while service.toNextWord()\
os.execute(\"sleep \" ..1)\
end",
"function 字词()\
return service.toNextWord()\
end\
\
function 调用()\
service.click({{\"%字词\",调用}})\
end\
调用()",
"function 测试(a)\
  return {{\"%朗读/0\",\"%朗读/\"..a,\"%朗读/3\",\"%朗读/4\"}}\
  end\
\
\
service.click(\
{{\
    \"%朗读/1\",\
    \"%朗读/2\",\
    \"%测试('参数')\",\
    \"%朗读/5\"\
    }}\
)",
"local a=math.random(1,1000)\
for n=1,a do\
service.click({{\"%点击$1\",}})\
end",
"local 密码=123456\
local mima=tostring(密码)\
local urma={\"%解锁\",\"[0.5,0.7,0.5,0.3,1000]\"}\
for n=1,#mima do\
table.insert(urma,utf8.sub(mima,n,n)..\"$5\")\
end\
service.click({urma})",
"--Android中常用的5大布局方式有以下几种：\
--线性布局（LinearLayout）：按照垂直或者水平方向布局的组件。\
--帧布局（FrameLayout）：组件从屏幕左上方布局组件。\
--表格布局（TableLayout）：按照行列方式布局组件。\
--相对布局（RelativeLayout）：相对其它组件的布局方式。\
--绝对布局（AbsoluteLayout）：按照绝对坐标来布局组件。\
\
\
1.线性布局(LinearLayout)\
线性布局是Android开发中最常见的一种布局方式，它是按照垂直或者水平方向来布局，通过orientation属性可以设置线性布局的方向。属性值有垂直（vertical）和水平（horizontal）两种。\
常用的属性：\
orientation：可以设置布局的方向\
gravity:用来控制组件的对齐方式\
layout_weight控制各个控件在布局中的相对大小,layout_weight的属性是一个非负整数值。 \
线性布局会根据该控件layout_weight值与其所处布局中所有控件layout_weight值之和的比值为该控件分配占用的区域\
--[[例如，在水平布局的LinearLayout中有两个Button，这两个Button的layout_weight属性值都为1,那么这两个按钮都会被拉伸到整个屏幕宽度的一半。如果layout_weight指为0，控件会按原大小显示，不会被拉伸.\
对于其余layout_weight属性值大于0的控件，系统将会减去layout_weight属性值为0的控件的宽度或者高度,再用剩余的宽度或高度按相应的比例来分配每一个控件显示的宽度或高度]]\
\
\
2.帧布局(FrameLayout)\
帧布局是从屏幕的左上角（0,0）坐标开始布局，多个组件层叠排列，第一个添加的组件放到最底层，最后添加到框架中的视图显示在最上面。上一层的会覆盖下一层的控件。\
\
\
3.表格布局（TableLayout）\
表格布局是一个ViewGroup以表格显示它的子视图（view）元素，即行和列标识一个视图的位置。\
表格布局常用的属性如下：\
collapseColumns：隐藏指定的列\
shrinkColumns：收缩指定的列以适合屏幕，不会挤出屏幕\
stretchColumns：尽量把指定的列填充空白部分\
layout_column:控件放在指定的列\
layout_span:该控件所跨越的列数\
\
\
4.相对布局（RelativeLayout）\
相对布局是按照组件之间的相对位置来布局，比如在某个组件的左边，右边，上面和下面等。\
\
\
5.绝对布局(AbsoluteLayout)\
采用坐标轴的方式定位组件，左上角是（0，0）点，往右x轴递增，往下Y轴递增,组件定位属性为layout_x 和layout_y来确定坐标。",
"--后台发送短信\
 require \"import\"\
 import \"android.telephony.*\"\
 SmsManager.getDefault().sendTextMessage(tostring(号码), nil, tostring(内容), nil, nil)\
\
--调用系统发送短信\
import \"android.content.Intent\"\
import \"android.net.Uri\"\
uri = Uri.parse(\"smsto:\"..号码)\
intent = Intent(Intent.ACTION_SENDTO, uri)\
intent.putExtra(\"sms_body\",内容)\
intent.setAction(\"android.intent.action.VIEW\")\
activity.startActivity(intent)",
"--多选输入\
require \"import\"\
\
local t1={\
 \"\\\"\\\"\",\",\",\"*\",\"#\",\"%\",\"=\",\">\",\"<\",\">50$50\",\"$50\",\
}\
\
local t2={}\
\
local dlg=LuaDialog()\
.setMultiChoiceItems(t1,t2)\
.setButton(\"确定\",function()\
print(table.concat(t2))\
end)\
\
.show()\
dlg.onItemClick=function(l,v,p,i)\
t=v.text\
te=table.find(t2,t)\
if not te\
table.insert(t2,t)\
else\
table.remove(t2,te)\
end\
end\
\
dlg.onItemLongClick=function(l,v,p,i)\
end",
"--提取号码\
require \"import\"\
text=service.getText((...))\
text=text or \"\"\
ret={}\
for n in text:gmatch(\"%d%d%d%d%d%d+\") do\
  table.insert(ret,n)\
end\
if #ret==0 then\
  service.asyncSpeak(\"没有发现号码\")\
  return\
end\
dlg=LuaDialog(service)\
dlg.setTitle(string.format(\"共%d个号码\",#ret))\
dlg.setItems(String(ret)).setButton(\"确定\",nil)\
dlg.show()\
dlg.setOnItemClickListener(function(l,v,p,i)\
  dlg.dismiss()\
if #v.text==11\
  service.callPhone(v.text)\
elseif #v.text<=10\
service.copy(v.text)\
service.click({{\
\"%主屏幕\",\
\">qq\",\
\"快捷入口>50$50\",\
\"加好友/群>50$500\",\
\"搜索，搜索栏$500\",\
\"%粘贴\"\
}})\
end\
end)\
dlg.onItemLongClick=function(l,v,p,i)\
dlg.dismiss()\
service.copy(v.text)\
service.click({{\
\"%主屏幕\",\
\">微信\",\
\"更多功能按钮>50$50\",\
\"添加朋友>50$50\",\
\"com.tencent.mm:id/j69\",\
\"%粘贴\",\
\"搜索*\"}})\
end",
"--按下抬起\
require \"import\"\
import \"android.widget.*\"\
layout={LinearLayout,\
{\
Button,\
    id=\"a\",\
    layout_width=\"100%w\",\
    layout_height=\"80%h\",\
},\
}\
dlg=LuaDialog()\
.setView(loadlayout(layout))\
.show()\
\
a.onHover=function(v,e)\
  e=e.getAction()\
  if e==9\
service.speak(\"按下\")\
   elseif e==10\
service.speak(\"抬起\")\
elseif e==7\
service.speak(\"移动\")\
  end\
end",
"--魔法轻点\
if service.isEditView(node) then\
local txt=node.text\
if txt and txt~=\"\" then\
if a then\
a=nil\
service.execute(\"结尾\",node)\
service.speak(\"结尾\")\
else\
a=1\
service.execute(\"开头\",node)\
service.speak(\"开头\")\
end\
return true\
end\
if service.execute(\"粘贴\",node)\
return true\
end\
elseif service.isSeekBar(node)\
service.click({{\"%主菜单$50\",\
\"进度>10$50\",\
}})\
else\
txt=tostring(service.getText(node))\
if txt:find(\"%d%d%d%d\") or txt:find(\"http\") or txt:find(\"www\") then\
service.execute(\"链接\",node)\
else\
service.execute(\"播放暂停\",node)\
end\
end\
return true",
"--屏蔽触摸输入法\
if this.getSystemService(\"input_method\").getInputMethodWindowVisibleHeight()>0 then\
service.execute(\"返回\",node)\
service.execute(\"暂停语音反馈\",node)\
return true\
elseif service.getEditText() then\
service.toClick(service.getEditText())\
service.execute(\"暂停语音反馈\",node)\
return true\
end",
"--判断输入法\
require \"import\"\
import \"com.androlua.Ticker\"\
if ti then\
ti.stop()\
  service.speak(\"已关闭\")\
  ti=nil\
  return true\
end\
\
ti=Ticker()\
ti.Period=500\
bool=true\
ti.onTick=function()\
if bool and this.getSystemService(\"input_method\").getInputMethodWindowVisibleHeight()>0\
bool=false\
service.execute(\"暂停触摸浏览\")\
elseif (not bool) and this.getSystemService(\"input_method\").getInputMethodWindowVisibleHeight()<15\
bool=true\
service.execute(\"暂停触摸浏览\")\
end\
end\
ti.start()\
service.speak(\"已开启\")",
"--提取网址\
require \"import\"\
import \"android.net.Uri\"\
import \"android.content.Intent\"\
\
--从传入参数获取焦点节点\
node=...\
--获取节点的文字\
text=service.getText(node)\
\
--判断是否有内容，没有则退出\
if text==nil then\
  service.speak(\"没有发现网址\")\
  return\
  end\
\
function append(t,v)\
  if not table.find(t,v) then\
    table.insert(t,v)\
    end\
  end\
\
\
--创建一个容纳网址的表\
ret={}\
--循环提取文字中的网址，正则部分以后再说\
for url in text:gmatch(\"https?://[%w%%%=#/%?%._%-%+&]+\") do\
  --将提取的网址保存在返回表中\
  table.insert(ret,url)\
  end\
for url in text:gmatch(\"[%w%._%-:/]+%.cn[%w%%%=#/%?%._%-%+&]*\") do\
  --将提取的网址保存在返回表中\
  append(ret,url)\
  end\
for url in text:gmatch(\"[%w%._%-:/]+%.com[%w%%%=#/%?%._%-%+&]*\") do\
  --将提取的网址保存在返回表中\
  append(ret,url)\
  end\
for url in text:gmatch(\"[%w%._%-:/]+%.org[%w%%%=#/%?%._%-%+&]*\") do\
  --将提取的网址保存在返回表中\
  append(ret,url)\
  end\
for url in text:gmatch(\"[%w%._%-:/]+%.net[%w%%%=#/%?%._%-%+&]*\") do\
  --将提取的网址保存在返回表中\
  append(ret,url)\
  end\
\
\
--判断是否有匹配到网址，没有则退出\
if #ret==0 then\
    service.speak(\"没有发现网址\")\
  return\
  end\
--创建一个对话框显示复制的网址\
dlg=service.createDialog(\"网址\",ret).show()\
\
--设置点击后在浏览器打开\
dlg.getListView().onItemClick=function(l,v)\
  service.st--提取网址\
artActivity(Intent(Intent.ACTION_VIEW,Uri.parse(v.text)).setFlags(0x10000000))\
  dlg.dismiss()\
  end",
"--提取号码\
require \"import\"\
text=service.getText((...))\
text=text or \"\"\
ret={}\
for n in text:gmatch(\"%d%d%d%d%d%d+\") do\
  table.insert(ret,n)\
end\
if #ret==0 then\
  service.asyncSpeak(\"没有发现号码\")\
  return\
end\
dlg=LuaDialog(service)\
dlg.setTitle(string.format(\"共%d个号码\",#ret))\
dlg.setItems(String(ret)).setButton(\"确定\",nil)\
dlg.setOnItemClickListener(function(l,v,p,i)\
  dlg.dismiss()\
  service.callPhone(v.text)\
end)\
dlg.show()",
"local luj=\"综合文件/3 音乐/常用/音乐\"\
local a=\"/sdcard/\"..luj..\"/\"\
local b=io.ls(a)\
for i,v in ipairs(b) do\
  local n=utf8.gsub(v,\"%d+[%-%.]\",\"\")\
  n=utf8.gsub(n,\"_.*%.\",\".\")\
  if n~=v\
    os.rename(a..v,a..n)\
  end\
end",
"local bjk=service.getAllEditTextList()\
if bjk and #bjk>0 then\
wfbf=bjk[0].text\
if wfbf and #wfbf>0 then\
service.click({\"发送\",\"%语音助手\"})\
return true\
end\
end\
service.execute(\"语音助手\",node)\
return true",
"local edit=service.isEditView(node)\
local text=service.getNodeInfoText(node)\
\
if text~=nil and edit==true\
service.setText(node,utf8.sub(text,1,-2))\
service.speak(utf8.sub(text,-1,-1)..\"删除\")\
end\
return true",
"--模拟调节进度滑块\
if service.isSeekBar(node)\
require \"import\" \
import \"android.graphics.Rect\" \
import \"android.widget.*\"\
import \"android.view.*\"\
local t={\"0\",\"5\",\"10\",\"15\",\"20\",\"25\",\"30\",\"35\",\"40\",\"45\",\"50\",\"55\",\"60\",\"65\",\"70\",\"75\",\"80\",\"85\",\"90\",\"95\",\"100\",}\
layout=\
{\
LinearLayout,orientation=1,layout_width=-1,layout_height=-1,{\
EditText,hint=\"请输入百分比\",Gravity=\"center_horizontal\",id=\"edit\",InputType=\"phone\",layout_width=-1,layout_weight=1,},\
{Button,text=\"确定\",onClick=\"zb\",layout_width=-1,layout_weight=1,},\
{GridView,id=\"grid\",numColumns=4,Gravity=\"center_horizontal\",layout_weight=1,}\
}\
dlg=LuaDialog(service)\
dlg.View=loadlayout(layout)\
grid.adapter=SingleLineAdapter(service,String(t))\
dlg.show()\
grid.onItemClick=function(l,v,p,i)\
dlg.dismiss()\
local p=Rect()\
node.getBoundsInScreen(p)\
service.click({{\"[\"..tonumber(p.left)..\",\"..tonumber(p.top+(p.bottom-p.top)/2)..\",\"..tonumber(p.left+(p.right-p.left)/100*v.text)..\",\"..tonumber(p.top+(p.bottom-p.top)/2)..\",300]\"}})\
end\
function zb()\
local p=Rect()\
node.getBoundsInScreen(p)\
dlg.dismiss()\
service.click({{\"[\"..tonumber(p.left)..\",\"..tonumber(p.top+(p.bottom-p.top)/2)..\",\"..tonumber(p.left+(p.right-p.left)/100*edit.text)..\",\"..tonumber(p.top+(p.bottom-p.top)/2)..\",300]\"}})\
end\
else\
service.asyncSpeak(\"当前焦点不是进度滑块\")\
end\
return true",
}